-------------------------------------------------------------------------------
-- FileName: CharacterEscaping.sql
-- Description: 
--   Demonstrate fulling escaped and partially escaped character mapping
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
drop table mydesc_tbl;
drop type mydesc;
create type mydesc as object ("my:desc" varchar(200))
/
create table mydesc_tbl  of mydesc
/
insert into mydesc_tbl values('fully escaped character mapping');

-- Element name is partially escaped
select xmlelement("Test", XMLForest("my:desc")) from mydesc_tbl;

select xmlelement("Test", XMLForest("my:desc" as "my:desc"))  from mydesc_tbl;

-- Attribute are partially escaped
select xmlelement("TEST", 
        XMLATTRIBUTES('http://xmlns.oracle.com/xml/Employee.xsd'
           AS "xmlns:my"), XMLForest("my:desc" as "my:desc")) 
from mydesc_tbl;
