-------------------------------------------------------------------------------
-- FileName: DOMAppendFragment.sql
-- Description: 
--   Append DOM fragements
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
SET AUTOPRINT ON
VAR RESULT CLOB
DECLARE
v_tdoc XMLType;
v_tsubdoc XMLType;
v_result CLOB;
v_doc DBMS_XMLDOM.DOMDOCUMENT;
v_subdoc DBMS_XMLDOM.DOMDOCUMENT;
v_doc_elem DBMS_XMLDOM.DOMELEMENT;
v_subdoc_elem DBMS_XMLDOM.DOMELEMENT;
v_node DBMS_XMLDOM.DOMNODE;
v_impnode DBMS_XMLDOM.DOMNODE;
BEGIN
-- Create the Main XML document
SELECT XMLType(DBMS_XMLGEN.GETXML('SELECT * FROM departments
WHERE department_id =20'))
INTO v_tdoc FROM dual;
-- Create the Sub XML document
SELECT XMLType(DBMS_XMLGEN.GETXML('SELECT * FROM employees
WHERE department_id = 20'))
INTO v_tsubdoc from dual;
-- Merge the documents
v_doc := DBMS_XMLDOM.NEWDOMDOCUMENT(v_tdoc);
v_subdoc :=DBMS_XMLDOM.NEWDOMDOCUMENT(v_tsubdoc);
v_doc_elem := DBMS_XMLDOM.GETDOCUMENTELEMENT(v_doc);
v_subdoc_elem := DBMS_XMLDOM.GETDOCUMENTELEMENT(v_subdoc);
v_impnode := DBMS_XMLDOM.IMPORTNODE(v_doc,
DBMS_XMLDOM.MAKENODE(v_subdoc_elem), true) ;
v_node := DBMS_XMLDOM.APPENDCHILD(
DBMS_XMLDOM.MAKENODE(v_doc_elem), v_impnode);
--v_node := DBMS_XMLDOM.APPENDCHILD(
-- DBMS_XMLDOM.MAKENODE(v_doc_elem),
-- DBMS_XMLDOM.MAKENODE(v_subdoc_elem));
DBMS_LOB.CREATETEMPORARY(v_result,true,DBMS_LOB.SESSION);
DBMS_XMLDOM.WRITETOCLOB(v_doc,v_result);
SELECT v_result INTO :result FROM dual;
DBMS_LOB.FREETEMPORARY(v_result);
END;
/