-------------------------------------------------------------------------------
-- FileName: UpdateXML.sql
-- Description: 
--   User UPDATEXML() function
-- Modified (MM/DD/YYYY)
--   jiwang  06/15/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Example 1: Using Namespace and demonstrate the update orders
-------------------------------------------------------------------------------
select updateXML(XMLType(
 '<Employee xmlns:app1="www.example.com/ns1" xmlns:app2="www.example.com/ns2">
  <Name app1:type="Customer">Janet Jones</Name>
  <Job app2:type="IT">Manager</Job>
  <Salary app2:type="Hidden">12000</Salary>
  <Commission app2:type="Hidden">3400</Commission>
</Employee>'),
          '/Employee/Name/text()', 'Janet Lee',
          '/Employee/Name/@app1:type', 'Important Customer',
          '/Employee/Job/@app2:type', 'Hidden',
          '/Employee//*[@app2:type="Hidden"]',null,
          'xmlns:app1="www.example.com/ns1" 
           xmlns:app2="www.example.com/ns2"') as result
  from dual;

-------------------------------------------------------------------------------
--  Example 2: Using the XPATH expression without "text()"
-------------------------------------------------------------------------------
select updateXML(XMLType(
 '<Employee xmlns:app1="www.example.com/ns1" xmlns:app2="www.example.com/ns2">
  <Name app1:type="Customer">Janet Jones</Name>
  <Job app2:type="IT">Manager</Job>
  <Salary app2:type="Hidden">12000</Salary>
  <Commission app2:type="Hidden">3400</Commission>
</Employee>'),
          '/Employee/Name', '<Name>Janet Lee</Name>',
          '/Employee/Name/@app1:type', 'Important Customer',
          '/Employee/Job/@app2:type', 'Hidden',
          '/Employee//*[@app2:type="Hidden"]',null,
          'xmlns:app1="www.example.com/ns1" 
           xmlns:app2="www.example.com/ns2"') as result
  from dual;

 