-------------------------------------------------------------------------------
-- FileName: XMLAGG.sql
-- Description: 
--   User XMLAGG to aggregate the XML element with ordering information
-- Modified (MM/DD/YYYY)
--   jiwang  06/15/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Example 1: Using the XMLAGG
-------------------------------------------------------------------------------
SELECT XMLAGG(value(e) 
        ORDER BY extractValue(value(e),'/ROW/FIRST_NAME') DESC NULLS FIRST)
FROM TABLE(XMLSEQUENCE(CURSOR(SELECT first_name, last_name,salary 
                              FROM employees))) e
WHERE extractValue(value(e), '/ROW/SALARY') between 12000 and 18000;

-------------------------------------------------------------------------------
--  Example 2: Using the XMLAGG with XMLCONCAT (Note the difference)
-------------------------------------------------------------------------------
SELECT XMLAGG(XMLCONCAT(value(e)))
FROM TABLE(XMLSEQUENCE(CURSOR(SELECT first_name, last_name,salary 
                              FROM employees))) e
WHERE extractValue(value(e), '/ROW/SALARY') between 12000 and 18000;

-------------------------------------------------------------------------------
--  Example 3: Using the SYS_XMLAGG with XMLCONCAT
-------------------------------------------------------------------------------
SELECT SYS_XMLAGG(XMLCONCAT(value(e)),
        XMLFORMAT.createFormat('EmployeeList'))
FROM TABLE(XMLSEQUENCE(CURSOR(SELECT first_name, last_name,salary 
                              FROM hr.employees))) e
WHERE extractValue(value(e), '/ROW/SALARY') between 12000 and 18000;


