-------------------------------------------------------------------------------
-- FileName: XMLFragmentInsertion.sql
-- Description: 
--   Create an XML Fragment and insert into XMLType columns
-- Modified (MM/DD/YYYY)
--   jiwang  06/10/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Example 2: The XML Fragment can't be insert into XMLType columns
-------------------------------------------------------------------------------
insert into temp_emp
  SELECT XMLCONCAT(XMLELEMENT("Email",email),
                 XMLELEMENT("Name", first_name||' '||last_name))
FROM employees
WHERE ROWNUM<2;

SELECT XMLCONCAT(XMLELEMENT("Email",email),
                 XMLELEMENT("Name", first_name||' '||last_name)).isFragment()
FROM employees
WHERE ROWNUM<2;

-------------------------------------------------------------------------------
--  Example 3: How to create XML Element from XML Fragment created by XMLCONCAT
-------------------------------------------------------------------------------
select XMLELEMENT("RESULT",
        XMLCONCAT(
          XMLSEQUENCE(
             Cursor(select * from employees where rownum<3))))
from dual;

insert into temp_emp
select XMLElement("RESULT",
        XMLCONCAT(XMLELEMENT("Email",email),
                 XMLELEMENT("Name", first_name||' '||last_name)))        
FROM employees
WHERE ROWNUM<2;

