-------------------------------------------------------------------------------
-- FileName: XMLSequence.sql
-- Description: 
--   User XML Sequence to return a VARRAY of XMLTypes
-- Modified (MM/DD/YYYY)
--   jiwang  06/25/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Example 1: Select using XMLSEQUENCE
-------------------------------------------------------------------------------
SELECT XMLSEQUENCE(
         CURSOR(
                SELECT employee_id, first_name, last_name
                FROM employees where rownum <3)) AS result
FROM dual;

-------------------------------------------------------------------------------
-- Example 2: Using XMLSEQUENCE in the FROM CLAUSE
-------------------------------------------------------------------------------
SELECT value(e).extract('/ROW/EMPLOYEE_ID').getClobVal()
FROM TABLE(SELECT XMLSEQUENCE(
         CURSOR(
                SELECT employee_id, first_name, last_name, salary
                FROM employees where rownum <3))
         FROM dual) e;

-------------------------------------------------------------------------------
--  Example 3: Using XMLSEQUENCE with XMLTYPEs
-------------------------------------------------------------------------------
drop table temp_emp;
CREATE TABLE temp_emp(doc XMLTYPE);
INSERT INTO temp_emp(doc)
   SELECT XMLElement("EmployeeList",
           XMLAGG(XMLELEMENT("Employee",
            XMLATTRIBUTES(employee_id AS "empno", 
                          job_id AS "job"),
             XMLELEMENT("Name",first_name||' '||last_name))))
   FROM employees;

SELECT value(e).getClobVal()
FROM TABLE(select XMLSEQUENCE(extract(a.doc,'/EmployeeList/Employee/Name'))
          from temp_emp a) e
WHERE ROWNUM<3;
