-------------------------------------------------------------------------------
-- FileName: XMLTransform.sql
-- Description: 
--   Use XML Transform to apply XSLT transformation
-- Modified (MM/DD/YYYY)
--   jiwang  06/15/2003 - Create
-------------------------------------------------------------------------------
select XMLTransform(
       XMLType('<Employee>
                 <FIRST_NAME>Karen</FIRST_NAME>
                 <LAST_NAME>Partners</LAST_NAME>
                 <SALARY>13500</SALARY>
                </Employee>'),
       XMLType('<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Identity transformation -->
  <xsl:template match="@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="node()">
    <xsl:if test="parent::node() !=null">
      <xsl:attribute name="name()">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>'))
from dual;
