-------------------------------------------------------------------------------
-- FileName: XMLTypeDOM.sql
-- Description: 
--   DOM operations on XMLTypes
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE PROCEDURE updateXMLElement(p_doc IN OUT XMLTYPE,
p_ename IN VARCHAR2,
p_content IN VARCHAR2) AS
v_item NUMBER;
v_doc DBMS_XMLDOM.DOMDOCUMENT;
v_ndoc DBMS_XMLDOM.DOMNODE;
v_nlist DBMS_XMLDOM.DOMNODELIST;
v_node DBMS_XMLDOM.DOMNODE;
v_elem DBMS_XMLDOM.DOMELEMENT;
v_nelem DBMS_XMLDOM.DOMNODE;
v_text DBMS_XMLDOM.DOMTEXT;
v_ntext DBMS_XMLDOM.DOMNODE;
BEGIN
-- Create DOM Object
v_doc := DBMS_XMLDOM.NEWDOMDOCUMENT(p_doc);
v_ndoc :=DBMS_XMLDOM.MAKENODE(DBMS_XMLDOM.GETDOCUMENTELEMENT(v_doc));
-- Select the DOM Nodes
v_nlist:= DBMS_XMLDOM.GETELEMENTSBYTAGNAME(v_doc,p_ename);
IF DBMS_XMLDOM.GETLENGTH(v_nlist) > 0 THEN
DBMS_OUTPUT.PUT_LINE('Update the: '||p_ename||' elements.');
FOR v_item IN 0..DBMS_XMLDOM.GETLENGTH(v_nlist) LOOP
v_node := DBMS_XMLDOM.ITEM(v_nlist, v_item);
v_ntext := DBMS_XMLDOM.GETFIRSTCHILD(v_node);
DBMS_OUTPUT.PUT_LINE(DBMS_XMLDOM.GETNODEVALUE(v_ntext));
DBMS_XMLDOM.SETNODEVALUE(v_ntext, p_content);
END LOOP;
ELSE
DBMS_OUTPUT.PUT_LINE('No '||p_ename||' element in the current
document.');
END IF;
-- Free resources
DBMS_XMLDOM.FREEDOCUMENT(v_doc);
EXCEPTION
WHEN OTHERS THEN
DBMS_OUTPUT.PUT_LINE('Exceptions during the process');
END;
/
show errors;

set autoprint on
var result clob
DECLARE
v_doc XMLType;
BEGIN
-- Create Sample XML Document
SELECT XMLTYPE(DBMS_XMLGEN.GETXML('SELECT * FROM employees
WHERE employee_id=199'))
INTO v_doc FROM dual;
-- Update the Element
updateXMLElement(v_doc,'PHONE_NUMBER','650.506.9181');
-- Print out the content
SELECT v_doc.getClobVal() INTO :result FROM dual;
END;
/