-------------------------------------------------------------------------------
-- FileName: createCTXXPATHIndex.sql
-- Description: 
--   Create CTXXPATH index on the XMLType
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
-- Increase the sample data
  declare
      i number;
    begin
      for i in 1..100 loop
       insert into product
        values(i+2, 'name'||i,XMLType('<Description name="XSLT"><Whatis>XSLT Processor makes use of
        <Standard type="W3C">XSLT</Standard>language defined by the World Wide Web Consortium (
       <KEYWORD>W3C</KEYWORD>) to<Function>transform</Function> XML documents into other formats  </Whatis>
     <OracleSupport>Oracle support XSLT in SQL, PL/SQL, JAVA and C/C++.</OracleSupport></Description>').CreateSchemaBasedXML('product.xsd'));
    end loop;
 end;
 
DROP INDEX ctxxpath_idx;
TRUNCATE TABLE plan_table;

-- Explain Plan
create index ctxxpath_idx on product(description)
 indextype is ctxsys.CTXXPATH;
begin
  dbms_stats.gather_index_stats(ownname=>'demo',indname=>'ctxxpath_idx');
end;
/
ANALYZE TABLE product compute statistics FOR TABLE; 
analyze INDEX ctxxpath_idx
/

-- check indexes
explain plan for
SELECT /*+ index(x ctxxpath_idx) */product_id, name
FROM product
WHERE EXISTSNODE(description,            '/Description[@name=XSLT]/OracleSupport[ora:contains(.,"SQL")>0]',
                'xmlns:ora="http://xmlns.oracle.com/xdb"')>0;



@d:\oracle\rdbms\admin\utlxpls


