-------------------------------------------------------------------------------
-- FileName: createOracleTextIndex.sql
-- Description: 
--   Create Oracle Text Index 
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
-- Create XML Section Group
exec ctx_ddl.create_section_group('productGroup','XML_SECTION_GROUP');
exec ctx_ddl.add_zone_section('productGroup','whatis_sec','Whatis');

create index desc_xml_idx on product(description)
indextype is ctxsys.context
parameters('section group productGroup');

select name 
from product 
where contains(description, 'java within whatis_sec')>0;

-- Rebuild Index
ALTER INDEX desc_xml_idx REBUILD
PARAMETERS ('add zone section orasupport_sec tag OracleSupport');

select name 
from product
where contains(description, 'java within orasupport_sec')>0;
