-------------------------------------------------------------------------------
-- FileName: createGist.sql
-- Description: 
--   Create Gist for Oracle Text search index
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------
declare
  gklob clob;
  amt number := 40;
  line varchar2(80);

begin
 ctx_doc.gist(product_idx,1,gklob,1,glevel => P,pov => GENERIC,
      numParagraphs => 10); 
  dbms_lob.read(gklob, amt, 1, line);
  dbms_output.put_line(FIRST 40 CHARS ARE:||line);
  dbms_lob.freetemporary(gklob);
 end;

create table ctx_gist (query_id  number,
                       pov       varchar2(80), 
                       gist      CLOB);

begin
  for item in (select product_id from product) loop
   ctx_doc.gist(product_idx,item.product_id,CTX_GIST,1,S, pov =>GENERIC);
end