-------------------------------------------------------------------------------
-- FileName: loadProductXMLTypeData.sql
-- Description: 
--   Load Data for Product Table with XML Schema-based XMLType Column   
-- Modified (MM/DD/YYYY)
--   jiwang  08/25/2003 - Create
-------------------------------------------------------------------------------

INSERT INTO product(product_id, name, description) 
 VALUES(1, 'XSLT Processor', XMLType('<Description>
  <Whatis>Based on the <Standard type="W3C">XSLT</Standard> standard 
  defined by the World Wide Web Consortium (<KEYWORD>W3C</KEYWORD>),
  XSLT Processors <Function>transform</Function> XML documents into 
  other formats.</Whatis>
  <OracleSupport>Oracle supports XSLT in SQL, PL/SQL, JAVA and 
     C/C++.</OracleSupport></Description>').CreateSchemaBasedXML('product.xsd')); 

INSERT INTO product(product_id, name, description) 
 VALUES(2, 'XSQL', XMLType('<Description>
  <Whatis>XSQL produces dynamic XML documents based on one or more SQL
 queries and can optionally apply <Standard type="W3C">XSL</Standard> 
Stylesheets to <Function>transform</Function> XML documents. Its Java 
Servlet interface provides rich HTTP management functionality, such as 
Cookies, <Standard type="W3C">HTTP</Standard> session parameters 
etc.</Whatis>
  <OracleSupport>Java command-line utility, run-time Servlet engine and
 extensible Java development framework are provided.</OracleSupport></Description>').CreateSchemaBasedXML('product.xsd')); 
