-------------------------------------------------------------------------------
-- FileName: checkXMLDBACL.sql
-- Description: 
--   Check ACL of XML DB
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
set echo on 
set long 100000

CREATE ROLE DEMOGROUP NOT IDENTIFIED;
create user USER1 identified by USER1;
create user USER2 identified by USER2;
grant connect, resource to user1;
grant connect, resource to user2;

GRANT CONNECT, RESOURCE to DEMOGROUP;
GRANT DEMOGROUP to USER1;
GRANT DEMOGROUP to USER2;

declare
 retval boolean;
begin
 retval := dbms_xdb.createResource('/sys/acls/all_demogroup_acl.xml',
    xmltype('<acl description="Private:All privileges to OWNER only" 
xmlns="http://xmlns.oracle.com/xdb/acl.xsd"
xmlns:dav="DAV:" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xsi:schemaLocation="http://xmlns.oracle.com/xdb/acl.xsd http://xmlns.oracle.com/xdb/acl.xsd">
 <ace>
  <principal>DEMOGROUP</principal>
  <grant>true</grant>
  <privilege>
   <all/>
  </privilege>
 </ace>
</acl>'));
 if retval = false then dbms_output.put_line('Fail'); end if;
end;
/


connect user1/user1
DECLARE
  retval BOOLEAN;
BEGIN
  retval := DBMS_XDB.createfolder('/public/folder');
  retval := DBMS_XDB.createResource('/public/folder/doc1.xml',    
     XMLType('<xml1/>'));
END;
/
BEGIN
  DBMS_XDB.SetACL('/public/folder', 
                  '/sys/acls/all_owner_acl.xml');
END;
/
-- Check the resource accessibility
connect user1/user1
select count(*) from resource_view;
connect user2/user2
select count(*) from resource_view;


connect user1/user1
BEGIN
  DBMS_XDB.SetACL('/public/folder', 
                  '/sys/acls/all_demogroup_acl.xml');
END;
/

-- Check the resource accessibility
connect user1/user1
select count(*) from resource_view;
connect user2/user2
select count(*) from resource_view;

-- End of checkXMLDBACL.sql
set echo off