-------------------------------------------------------------------------------
-- FileName: updateXMLDBPort.sql
-- Description: 
--   Update HTTP and FTP ports of XML DB
-- Modified (MM/DD/YYYY)
--   jiwang  09/11/2003 - Create
-------------------------------------------------------------------------------
set echo on 
set long 100000
column httpport format a10
column ftpport format a10

-- Select the port number
SELECT
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/httpconfig/http-port/text()') 
   AS httpport,
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/ftpconfig/ftp-port/text()') 
    AS ftpport
FROM dual;

-- Update the ports to HTTP:8081, FTP: 2121
DECLARE
   config XMLType;
BEGIN
  config := DBMS_XDB.CFG_GET();
  SELECT UPDATEXML(config,
   '/xdbconfig/sysconfig/protocolconfig/httpconfig/http-port/text()',
    8081,
    '/xdbconfig/sysconfig/protocolconfig/ftpconfig/ftp-port/text()',
     2121) into config 
    FROM DUAL;
  DBMS_XDB.CFG_UPDATE(config);
END;
/
-- Refresh the configuration to make sure the ports are used
EXEC DBMS_XDB.CFG_REFRESH();
/
-- Select the port number
SELECT
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/httpconfig/http-port/text()') 
   AS httpport,
  EXTRACTVALUE(DBMS_XDB.CFG_GET(),
   '/xdbconfig/sysconfig/protocolconfig/ftpconfig/ftp-port/text()') 
    AS ftpport
FROM dual;

-- End of udpateXMLDBPort.sql
set echo off