-------------------------------------------------------------------------------
-- FileName: createFAQTable.sql
-- Description: 
--   Register FAQ XML Schema, Create Default FAQ Table, Constraints and indexes
-- Modified (MM/DD/YYYY)
--   jiwang  05/20/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Delete the Registered XML Schema
-------------------------------------------------------------------------------
BEGIN
  DBMS_XMLSCHEMA.deleteSchema('http://localhost:8080/public/faq.xsd', DBMS_XMLSCHEMA.DELETE_CASCADE_FORCE);
END;
/
show errors;

-------------------------------------------------------------------------------
--  Register XML Schema
-------------------------------------------------------------------------------
BEGIN
  DBMS_XMLSCHEMA.registerURI('http://localhost:8080/public/faq.xsd','/public/faq.xsd',TRUE,TRUE,FALSE,TRUE);
END;
/
show errors;

-------------------------------------------------------------------------------
--  Add the UNIQUE Constraints for the TITLE element in FAQ
-------------------------------------------------------------------------------
ALTER TABLE faq
ADD CONSTRAINT TITLE_IS_UNQIUE
UNIQUE(xmldata."TITLE");

-------------------------------------------------------------------------------
--  ADD the Cross-Reference Constraints for XML PRODUCT
-------------------------------------------------------------------------------
ALTER TABLE faq DROP constraint PRODUCT_IS_VALID;
ALTER TABLE faq 
ADD CONSTRAINT PRODUCT_IS_VALID 
FOREIGN KEY (xmldata."CATEGORY")
REFERENCES product(product_id)
/



