<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
 <table width="100%" border="0" bordercolor="#CCCCCC">
  <tr bgcolor="#FFFFFF">
    <td colspan="3">
      <h2><img src="images/r_arrow.gif" width="10" height="10"/>
         Oracle9i XML FAQs -- Homepage </h2>
    </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>XMLParsers</b>
    </td>
  </tr>
  <tr>
    <td colspan="3"> 
      These components create and parse XML using industry-standard DOM 
         and SAX interfaces. The XSLT Processor transforms one XML 
         document into another or renders it into other text-based 
           formats such as HTML. 
    </td>
  </tr>
  <tr>
    <td width="15" align="right">
      <img src="images/r_arrow.gif" width="10" height="10"/>
    </td>
    <td width="561" colspan="2"> 
          DOM Parser  
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'domparser'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'domparser'"/>
             <xsl:with-param name="lang" select="'c'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'domparser'"/>
             <xsl:with-param name="lang" select="'cpp'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'domparser'"/>
             <xsl:with-param name="lang" select="'plsql'"/>
          </xsl:call-template>
        <br/>
    </td>
  </tr>
  <tr>
    <td width="15" align="right">
      <img src="images/r_arrow.gif" width="10" height="10"/>
    </td>
    <td width="561" colspan="2"> 
          SAX Parser 
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'saxparser'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'saxparser'"/>
             <xsl:with-param name="lang" select="'c'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'saxparser'"/>
             <xsl:with-param name="lang" select="'cpp'"/>
          </xsl:call-template>
      <br/>
    </td>
  </tr>
  <tr>
    <td width="15" align="right">
      <img src="images/r_arrow.gif" width="10" height="10"/>
    </td>
    <td width="561" colspan="2"> 
          XSLT Processor 
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xslt'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xslt'"/>
             <xsl:with-param name="lang" select="'c'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xslt'"/>
             <xsl:with-param name="lang" select="'cpp'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xslt'"/>
             <xsl:with-param name="lang" select="'plsql'"/>
          </xsl:call-template>
      </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>XML Schema Processors</b>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'schema'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'schena'"/>
             <xsl:with-param name="lang" select="'c'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'schema'"/>
             <xsl:with-param name="lang" select="'cpp'"/>
          </xsl:call-template>
     </td>
  </tr>
  <tr>
    <td colspan="3"> 
          These components validate XML Documents based upon their schema 
             files thereby introducing support for the industry standard 
             XML Schema. Java, C, and C++, allows use of XML simple and 
             complex datatypes.
       </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>XML Class Generator</b>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'classgen'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'schema'"/>
             <xsl:with-param name="lang" select="'cpp'"/>
          </xsl:call-template>
    </td>
  </tr>
  <tr>
    <td colspan="3"> 
          These utilities automatically generate Java and C++ classes from DTDs 
          and Schemas to be used in sending XML data from Web forms or applications. 
      </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>XSQL Servlet</b>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xsql'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
      </td>
  </tr>
  <tr>
    <td colspan="3" height="22">
          This servlet combines XML, SQL, and XSLT in the server to deliver 
          dynamic web content, render and store XML documents, and build 
          web forms.
       </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b> XDK for Java Beans</b>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'jbeans'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
       </td>
  </tr>
  <tr>
    <td colspan="3">
        A collection of Java beans which 
        encapsulate the XDK functionality and add support for multi-mode 
         viewing and transforming XML documents and data. 
       </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>XML SQL-Utilities</b> 
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xsu'"/>
             <xsl:with-param name="lang" select="'java'"/>
          </xsl:call-template>
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xsu'"/>
             <xsl:with-param name="lang" select="'plsql'"/>
          </xsl:call-template>
       </td>
  </tr>
  <tr>
    <td colspan="3">
        Server-side components which generate XML documents, DTDs and Schemas from 
        SQL select, insert, updates and deletes.
      </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>Oracle Text XML Search</b> 
           <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'text'"/>
             <xsl:with-param name="lang" select="'sql'"/>
          </xsl:call-template>
       </td>
  </tr>
  <tr>
    <td colspan="3">
         Oracle9i Text can be used to search XML documents. It extends Oracle9i 
         by indexing any text or document stored in Oracle.
      </td>
  </tr>
  <tr>
    <td colspan="3">
      <img src="images/r_arrow.gif" width="10" height="10"/>
      <b>Oracle9i XMLType</b>
            <xsl:call-template name="catshow">
             <xsl:with-param name="cat" select="'xmltype'"/>
             <xsl:with-param name="lang" select="'sql'"/>
          </xsl:call-template>
       </td>
  </tr>
  <tr>
    <td colspan="3">
        Oracle9i provides new system defined datatypes - XMLType and DBuriType 
        which which extend SQL XML storage and interchange.
      </td>
  </tr>
</table>
</xsl:template>

<xsl:template name="catshow">
 <xsl:param name="cat"/>
 <xsl:param name="lang"/>

 <xsl:choose>
  <xsl:when test="page/ROWSET/ROW/CATEGORY[text()=concat($cat,$lang)]">
   [<a href="browseAction.xsql?cat={$cat}&amp;lang={$lang}" 
       onclick="NewWindow('browseAction.xsql?cat={$cat}&amp;lang={$lang}','name','600','400','yes');return false;"><xsl:value-of select="$lang"/></a>]
  </xsl:when>
  <xsl:otherwise>[<xsl:value-of select="$lang"/>]</xsl:otherwise>
 </xsl:choose>

</xsl:template>

</xsl:stylesheet>