<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns="http://www.oracle.com/faq.xsd">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
    <table width="100%">
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="page/ROWSET/ROW">
              <xsl:apply-templates select="page/paging"/>
              <table align="left" border="0" width="100%">
                <tr>
                  <th>ID</th>
                  <th>Frequently Asked Question</th>
                </tr>
                <xsl:for-each select="page/ROWSET/ROW">
                  <tr>
                    <xsl:attribute name="class">
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                        <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:value-of select="ID"/>
:</td>
                    <td>
                      <a href="showAnswer.xsql?id={ID}"
                       onclick="NewWindow('showAnswer.xsql?id={ID}','{ID}','600','400','yes');return false;">
                      <!--xsl:if test="ID[text() != '59']">
                         <xsl:value-of disable-output-escaping="yes"
                                      select="TITLE"/></xsl:if>
                      <xsl:if test="ID[text() = '59']"</xsl:if>-->
                         <xsl:value-of select="TITLE"/>
                    
                      </a>
                    </td>
                  </tr>
                </xsl:for-each>
              </table>
            </xsl:when>
            <xsl:otherwise>
              <table>
                <tr>
                  <td>No FAQ found. Please try again.                    
                   </td>
                </tr>
              </table>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td><b><a href="index.xsql?pagename=product">Product Information</a></b></td>
      </tr>
    </table>
  </xsl:template>

<xsl:template name="getpvalue">
 <xsl:param name="id"/>
  <xsl:if test="/page/cat[text()=$id]">
  <xsl:attribute name="selected">selected</xsl:attribute>
  </xsl:if>
</xsl:template>
<xsl:template name="getlvalue">
 <xsl:param name="id"/>
  <xsl:if test="/page/lang[text()=$id]">
  <xsl:attribute name="selected">selected</xsl:attribute>
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>
