<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns="http://www.oracle.com/faq.xsd">
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
    <table width="100%">
     <tr>
      <td>
    <form method="post" action="index_st.sql?pagename=list_st" name="faqshow">
     <table width="52%" border="0">
      <tr>
        <td width="8%" height="28">Component:</td>
        <td width="12%" height="28">
         <select name="comp">
          <option value="all">          
            <xsl:if test="page/cat[./text()='all']">
               <xsl:attribute name="selected">selected</xsl:attribute>
            </xsl:if><xsl:text>All</xsl:text>
           </option>
          <xsl:for-each select="page/product/ROWSET/ROW">
          <option value="{PRODUCT_ID}">
            <xsl:call-template name="getpvalue">
             <xsl:with-param name="id" select="PRODUCT_ID"/>
            </xsl:call-template>
             <xsl:value-of select="FULLNAME"/>
           </option>
          </xsl:for-each>
         </select>
        </td>
        <td width="7%" height="28">Language: </td>
        <td width="13%" height="28">
         <select name="lang">
          <option value="all">
            <xsl:if test="/page/lang[./text()='all']">
               <xsl:attribute name="selected">selected</xsl:attribute>
            </xsl:if>
            <xsl:text>All</xsl:text>
           </option>
          <xsl:for-each select="page/language/ROWSET/ROW">
           <option value="{LANG}">
            <xsl:call-template name="getlvalue">
             <xsl:with-param name="id" select="LANG"/>
            </xsl:call-template>
            <xsl:value-of select="LANG"/>
           </option>
          </xsl:for-each>
       </select>
        </td>
        <td align="right">Search:</td>
        <td>
           <input type="text" name="search" size="15" style="width:150px">
            <xsl:attribute name="value">
             <xsl:value-of select="page/search/text()"/>
            </xsl:attribute>
           </input>
        </td>
        <td><a href="index.xsql"
               onClick="if(document.faqshow.comp.value=='all')
                if(document.faqshow.lang.value=='all')
                   search_loc = 'index_st.xsql?pagename=list_st';
               if(document.faqshow.comp.value=='all')
                if(document.faqshow.lang.value!='all' )
                   search_loc = 'index_st.xsql?pagename=list_st';
               if(document.faqshow.comp.value!='all')
                if(document.faqshow.lang.value=='all' )
                   search_loc = 'index_st.xsql?pagename=list_st';
               if(document.faqshow.comp.value!='all')
                if(document.faqshow.lang.value!='all' )
                 search_loc = 'index_st.xsql?pagename=list_st';
               if(document.faqshow.search.value !='')
                 search_loc = 'index_st.xsql?pagename=search_st'+'&amp;search='
                            +document.faqshow.search.value;
               document.location.href = search_loc+'&amp;cat='
                            + document.faqshow.comp.value+'&amp;lang='
                            + document.faqshow.lang.value;
               return false;"
                     onMouseOver="self.status='index_st.xsql?pagename=list_st'; return true;"
                     onMouseOut="self.status=''; return true;">
                     <img src="images/go.gif" width="16" height="17" border="0"  alt="Click to Ref
resh."/></a>
        </td>
      </tr>
     </table>
    </form>
      </td>
     </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="page/ROWSET/ROW">
              <xsl:apply-templates select="page/paging"/>
              <table align="left" border="0" width="100%">
                <tr>
                  <th class="portletTitle">ID</th>
                  <th class="portletTitle">Frequently Asked Questions</th>
                </tr>
                <xsl:for-each select="page/ROWSET/ROW">
                  <tr>
                    <xsl:attribute name="class">
                      <xsl:choose>
                        <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                        <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:value-of select="ID"/>:</td>
                    <td>
                      <a href="showAnswer.xsql?id={ID}"
                       onclick="NewWindow('showAnswer.xsql?id={ID}','{ID}','600','400','yes');return false;">
                      <!--xsl:if test="ID[text() != '59']">
                         <xsl:value-of disable-output-escaping="yes"
                                      select="TITLE"/></xsl:if>
                      <xsl:if test="ID[text() = '59']"</xsl:if>-->
                         <xsl:value-of select="TITLE"/>
                      </a>
                      <xsl:if test="STATUS ='hot'">
                      <img src="/xdkus/images/{STATUS}.gif"/></xsl:if>
                    </td>
                  </tr>
                </xsl:for-each>
              </table>
            </xsl:when>
            <xsl:otherwise>
              <table>
                <tr>
                  <td>No FAQ found. Please try again.                    
                   </td>
                </tr>
              </table>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td><b><a href="index_st.xsql?pagename=product">Product Information</a></b></td>
      </tr>
    </table>
  </xsl:template>

<xsl:template name="getpvalue">
 <xsl:param name="id"/>
  <xsl:if test="/page/cat[text()=$id]">
  <xsl:attribute name="selected">selected</xsl:attribute>
  </xsl:if>
</xsl:template>
<xsl:template name="getlvalue">
 <xsl:param name="id"/>
  <xsl:if test="/page/lang[text()=$id]">
  <xsl:attribute name="selected">selected</xsl:attribute>
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>
