<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>XML FAQ</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
      </head>
      <body>
        <table width="100%">
          <tr>
            <td colspan="2">
              <h2>XML Frequently Asked Question</h2>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="history.back()">Back</a>
            </td>
            <td align="right">
              <img src="images/r_arrow.gif" width="8" height="9"/>
              <a href="#" onClick="self.close()">Close</a>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <hr size="1"/>
            </td>
          </tr>
          <tr valign="top" align="center">
            <td colspan="2">
              <table width="100%" border="0">
                <tr valign="top">
                  <th class="portletTitle">
                    <xsl:value-of disable-output-escaping="yes" select="page/FAQ/TITLE"/>
                  </th>
                </tr>
                <xsl:choose>
                  <xsl:when test="page/FAQ/QUESTION">
                    <tr bgcolor="#F7F7E7">
                      <td>
                        <xsl:apply-templates select="page/FAQ/QUESTION/QUESTION"/>
                      </td>
                    </tr>
                  </xsl:when>
                  <xsl:otherwise>
                    <div id="{ID}details1" style="display:None"> </div>
                  </xsl:otherwise>
                </xsl:choose>
                <tr bgcolor="#F0F0F0">
                  <td width="100%">
                    <b>Answer: </b>
                    <br/>
                    <xsl:apply-templates select="page/FAQ/ANSWER/ANSWER"/>
                  </td>
                </tr>
              </table>
              <xsl:if test="page/RELATED/ROWSET/ROW">
                <table width="100%">
                  <tr bgcolor="#F0F0F0">
                    <th colspan="2">
                      <b>Related FAQ </b>
                    </th>
                  </tr>
                  <xsl:for-each select="RELATED/ROWSET/ROW">
                    <tr bgcolor="#F0F0F0">
                      <td width="2">
                        <xsl:value-of select="position()"/>:
          </td>
                      <td width="100%">
                        <a href="showAnswer.xsql?id={RESULT/ID}">
                          <xsl:value-of disable-output-escaping="yes" select="RESULT/TITLE/TITLE"/>
                        </a>
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </xsl:if>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <hr size="1"/>
            </td>
          </tr>
          <tr>
            <td colspan="2">Copyright &#169; ORACLE XML Development 2002</td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="KEYWORD">
    <xsl:variable name="content">
      <xsl:value-of select="./text()"/>
    </xsl:variable>
    <xsl:variable name="glossary">
      <xsl:value-of select="GLOSSARY/ROWSET/ROW[NAME/text()=$content]/ID"/>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$glossary">
        <a href="showGlossary.xsql?uri={$glossary}">
          <xsl:value-of select="."/>
        </a>
      </xsl:when>
      <xsl:otherwise>
        <b>
          <xsl:value-of select="."/>
        </b>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="PARAGRAPH">
    <p>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </p>
  </xsl:template>
  <xsl:template match="CODE">
    <pre>
      <xsl:value-of select="."/>
    </pre>
  </xsl:template>
  <xsl:template match="PARAGRAPH/CODE">
   <font face="Courier New">
    <xsl:value-of select="."/>
  </font>
  </xsl:template>
  <!-- Identity transformation -->
  <xsl:template match="*|@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
