<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                                            xmlns:ns="http://www.oracle.com/faq.xsd">
<xsl:include href="UtilText.xsl" />
<xsl:template match="/">
<html>
<head>
<title>Oracle9i XML FAQ</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
 <link rel="stylesheet" type="text/css" href="js/blafdoc.css" />
</head>
<body>
<table width="100%">
  <tr> 
    <td colspan="2">  
       <h2>XML Frequently Asked Question</h2>
    </td>
  </tr>
  <tr> 
    <td>
      <IMG SRC="/faqfea/servlet/oracle.xml.pm.faqdemo.FAQAnswerServlet?id={/page/ID}" 
       HEIGHT="0" WIDTH = "0"/>
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="history.back()">Back</a>
    </td>
    <td align="right">
      <img src="images/r_arrow.gif" width="8" height="9" /> 
        <a href="#" onClick="self.close()" >Close</a>
    </td>
  </tr>
  <tr> 
    <td colspan="2"><hr size="1" /></td>
  </tr>
   <tr valign="top" align="center">
    <td colspan="2"> 
        <table width="100%" border="0">
           <tr valign="top">
             <th>
               <xsl:value-of disable-output-escaping="yes" select="page/FAQ/TITLE"/>
	     </th>
            </tr>
  	    <xsl:choose>
            <xsl:when test="page/FAQ/QUESTION">
            <tr bgcolor="#F7F7E7">
              <td>
	        <xsl:apply-templates select="page/FAQ/QUESTION/ns:QUESTION" />
              </td>
            </tr>
            </xsl:when>
            <xsl:otherwise><div id="{ID}details1" style="display:None"> </div>
            </xsl:otherwise>
            </xsl:choose>  
           <tr bgcolor="#F0F0F0">
              <td width="100%"><b>Answer: </b><br/>
		 <xsl:apply-templates select="page/FAQ/ANSWER/ns:ANSWER" />
              </td>
           </tr>
      </table>
      <xsl:if test="page/RELATED/ROWSET/ROW">
      <table width="100%">
        <tr bgcolor="#F0F0F0">
          <th colspan="2"><b>Related FAQ </b></th>
        </tr>
        <xsl:for-each select="page/RELATED/ROWSET/ROW">
        <tr bgcolor="#F0F0F0">
          <td width="2">
 	     <xsl:value-of select="position()"/>:
          </td>
          <td width="100%">
             <a href="showAnswer.xsql?id={RESULT/ID}">
	      <xsl:value-of disable-output-escaping="yes" select="RESULT/TITLE/ns:TITLE"/></a>
          </td>
         </tr>
        </xsl:for-each>
      </table>
     </xsl:if>
    </td>
   </tr>
   <tr><td colspan="2"><hr size="1"/></td></tr>
   <tr><td colspan="2">Copyright &#169; ORACLE 2002</td></tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="attr" match="@*" >
  <xsl:value-of select="name(.)"/><xsl:text>="</xsl:text>
  <xsl:value-of select="."/><xsl:text>" </xsl:text>
</xsl:template>

<xsl:template match="note" >
   <font color="#009966">
    &lt;note 
     <xsl:if test="./@*">
      <xsl:for-each select="./@*">
        <xsl:call-template name="attr"/>
      </xsl:for-each></xsl:if>&gt;
  </font> 
  <font  color="#009966">
  &lt;/note&gt;</font>
</xsl:template>

<xsl:template match="ns:KEY">
 <xsl:variable name="content"><xsl:value-of select="./text()"/></xsl:variable>
 <xsl:variable name="glossary">
   <xsl:value-of select="/page/GLOSSARY/ROWSET/ROW[NAME/text()=$content]/ID"/>
 </xsl:variable>
 <xsl:choose>
   <xsl:when test="$glossary">
     <a href="showGlossary.xsql?uri={$glossary}">
       <xsl:value-of select="."/>
     </a>
   </xsl:when>
   <xsl:otherwise> <b><xsl:value-of select="."/></b>
   </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="ns:BR">
    <br/>
</xsl:template>

<xsl:template match="ns:CODE">
   <p>
    <font face="Courier New, Courier,mono" size="-1">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:call-template name="sp-replace">
             <xsl:with-param name="text" select="."/>
          </xsl:call-template>
        </xsl:with-param>
     </xsl:call-template>
    </font>
  </p>
</xsl:template>

<xsl:template match="ns:DBURI">
   <a href="showDBuri.xsql?uri={.}">
      <font size="-1" color="#ff0000">
	<xsl:value-of select="."/>
      </font>
   </a>
</xsl:template>

<xsl:template match="PRE">
      <xsl:call-template name="br-replace">
        <xsl:with-param name="text">
          <xsl:call-template name="sp-replace">
             <xsl:with-param name="text" select="."/>
          </xsl:call-template>
        </xsl:with-param>
     </xsl:call-template>
</xsl:template>
</xsl:stylesheet>
