<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!--
        | File Name: xdkus.xsl
        | Description:
        |   XSL Stylesheet for IE display of the homepage
        | Modified (MM/DD/YYYY)
        |   jiwang  04/27/2003 - Create
        +-->
  <xsl:output indent="no"/>

  <!--method="xml" omit-xml-declaration="yes"-->
  <xsl:variable name="Pname">
    <xsl:value-of select="/page/content/page/@title"/>
  </xsl:variable>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="$Pname"/>
        </title>
        <meta http-equiv="Content-Type" content="text/html"/>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
        <script LANGUAGE="JavaScript">
          <![CDATA[
                        function NewWindow(mypage, myname, w, h, scroll) {
                         var winl = (screen.width - w) / 2;
                         var wint = (screen.height - h) / 2;
                         winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
                         win = window.open(mypage, myname, winprops)
                         if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
                         }
                      ]]>
        </script>
      </head>
      <body bgcolor="#FFFFFF">
        <xsl:call-template name="page_content">
          <xsl:with-param name="page" select="page"/>
        </xsl:call-template>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="page_content">
    <xsl:param name="page"/>
    <table width="100%" border="0" cellspacing="0" cellpadding="0"
           align="center">
  <tr>
    <td bgcolor="#336699" height="48"> 
      <div align="center" class="title">Oracle 
        XML FAQ Site</div>
    </td>
  </tr>      
  <tr align="left" valign="middle">
        <td bgcolor="#FFFFFF" width="100%" valign="top" colspan="5">
          <xsl:apply-templates select="$page/content"/>
        </td>
     </tr>
      <tr>
        <td colspan="7">
          <hr class="line" size="1"/>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="node()|@*">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
