<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="nav.xsl"/>
<xsl:include href="link.xsl"/>
<xsl:include href="topic.xsl"/>
<xsl:include href="message.xsl"/>

<xsl:output indent="no"/>
<!--method="xml" omit-xml-declaration="yes"-->  

<xsl:variable name="Pname_t">
  <xsl:value-of select="/page/source/source_files/source[./@name=/page/title]/@title"/>
</xsl:variable>

<xsl:variable name="Pname">
  <xsl:value-of select="/page/title/text()"/>
</xsl:variable>

<xsl:template match="/">
<html>
<head>
<title><xsl:value-of select="$Pname_t"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<link rel="stylesheet" href="js/xdkus.css"/>
<script LANGUAGE="JavaScript">

function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}

</script>
</head>
<body bgcolor="#FFFFFF">
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr bgcolor="#336699"> 
    <td colspan="7">&nbsp;</td>
  </tr>
  <tr bgcolor="#F0F0F0"> 
    <td rowspan="2" width="170" bgcolor="#336699" align="center" >
       <a href="http://xdk.us.oracle.com" class="navh" >XML 
      Developer's Kits</a></td>
    <td bgcolor="#336699" colspan="5">&nbsp;</td>
    <td width="162" bgcolor="#336699">&nbsp;</td>
  </tr>
  <tr bgcolor="#F0F0F0"> 
    <td bgcolor="#000000" bordercolor="#FFCC99" width="143">
     &nbsp;</td>
    <td bgcolor="#000000" bordercolor="#FFCC99" width="127">&nbsp;</td>
    <td bgcolor="#000000" bordercolor="#FFCC99" width="107">&nbsp;</td>
    <td bgcolor="#000000" bordercolor="#FFCC99" width="112">&nbsp;</td>
    <td bgcolor="#000000" bordercolor="#FFCC99" width="166">&nbsp;</td>
    <td bgcolor="#000000" width="162">&nbsp;</td>
  </tr>
  <tr> 
    <td bgcolor="#000000" width="170"></td>
    <td colspan="5">&nbsp;</td>
    <td width="162">&nbsp;</td>
  </tr>
  <tr align="left" valign="middle"> 
    <td width="170" valign="top"> 
        <xsl:apply-templates select="page/nav"/>
    </td>
    <td bgcolor="#FFFFFF" valign="top" colspan="5"> 
         <xsl:apply-templates select="page/content"/>
   </td>
    <td  width="162" valign="top"> 
      <xsl:apply-templates select="page/topic"/>
      <xsl:apply-templates select="page/link"/>
   </td>
  </tr>
  <tr> 
    <td colspan="7"> 
      <hr class="line" size="1"/>
    </td>
  </tr>
  <tr align="center"> 
    <td colspan="7" class="footnt">Copyright &#169; ORACLE CORE and XDK Development 
      Team</td>
  </tr>
  <tr align="center"> 
    <td colspan="7" class="footnt">
     <xsl:apply-templates select="page/source"/>
    </td>
  </tr>
</table>
</body>
</html>


</xsl:template>


  <xsl:template match="node()|@*">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template name ="source_links" match="source_files">
   <xsl:for-each select="source[./@name='xdkus']">
     <xsl:value-of select="./@name"/><xsl:text>: </xsl:text>
    <xsl:for-each select="file">
       <a href="{./@link}"><xsl:value-of select="."/></a>
       <xsl:text> </xsl:text>
    </xsl:for-each>
    </xsl:for-each>
   <xsl:for-each select="source[./@name=$Pname]">
     <xsl:value-of select="./@name"/><xsl:text>: </xsl:text>
    <xsl:for-each select="file">
       <a href="{./@link}"><xsl:value-of select="."/></a>
       <xsl:text> </xsl:text>
    </xsl:for-each>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>