<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="/">
    <table border="0" height="277" width="665">
      <tr>
        <td height="27">
          <font face="Arial, Helvetica, sans-serif" size="4">
            <b>XDK 
            <xsl:if test="status[text() = 'current']">
              Latest
            </xsl:if>
            <xsl:choose>
              <xsl:when test="page/rel[text() = 'beta']">
                Beta
              </xsl:when>
              <xsl:otherwise>
                Production
              </xsl:otherwise>
            </xsl:choose> Release</b>
          </font>
          <xsl:apply-templates select="page/paging"/>
        </td>
      </tr>
      <tr>
        <td valign="top">
          <table border="0">
            <tr align="left">
              <th class="portletTitle" colspan="2" >XDK Component(language)</th>
              <th class="portletTitle">XDK Version</th>
              <th class="portletTitle">XDK Label</th>
              <th class="portletTitle">DB Version</th>
              <th class="portletTitle">Date</th>
              <th class="portletTitle">Release Notes</th>
            </tr>
            <xsl:for-each select="page/ROWSET/ROW">
              <tr align="left" valign="top">
                <td>
                  <img src="images/r_arrow.gif"/>
                </td>
                <td>
                  <xsl:value-of select="PLATFORM"/> 
                  <xsl:if test="LANGUAGE">(<xsl:value-of select="LANGUAGE"/>)</xsl:if>
                </td>
                <td>
                  <xsl:choose>
                    <xsl:when test="DOWNLOAD_URL[text() !='']">
                      <a href="/xdkus/{DOWNLOAD_URL}"><xsl:value-of select="VERSION"/></a>
                    </xsl:when>
                    <xsl:otherwise>
                     <xsl:value-of select="VERSION"/>
                    </xsl:otherwise>
                  </xsl:choose>
                 </td>
                <td>
                  <xsl:value-of select="LABEL"/> 
                </td>
                <td>
                  <xsl:value-of select="DB_VERSION"/>
                </td>
                <td>
                  <xsl:value-of select="RELEASE_DATE"/>
                </td>
                <td>
                  <a href="index.xsql?pagename=notes&amp;version={VERSION}">Release Notes</a>
                </td>
              </tr>
            </xsl:for-each>
          </table>
          <p>
              <img src="images/r_arrow.gif"/>
Please refer to the              <a href="http://otn.oracle.com/tech/xml">OTN</a>
web site for more information
          </p>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
