<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!--
        | File Name: xdkus.xsl
        | Description:
        |   XSL Stylesheet for IE display of the homepage
        | Modified (MM/DD/YYYY)
        |   jiwang  04/27/2003 - Create
        +-->
  <xsl:include href="loginb.xsl"/>
  <xsl:include href="nav.xsl"/>
  <xsl:include href="link.xsl"/>
  <xsl:include href="topic.xsl"/>
  <xsl:include href="message.xsl"/>
  <xsl:output indent="no"/>

  <!--method="xml" omit-xml-declaration="yes"-->
  <xsl:variable name="Pname">
    <xsl:value-of select="/page/content/page/@title"/>
  </xsl:variable>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="$Pname"/>
        </title>
        <meta http-equiv="Content-Type" content="text/html"/>
        <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus.css"/>
        <script LANGUAGE="JavaScript">
          <![CDATA[
                        function NewWindow(mypage, myname, w, h, scroll) {
                         var winl = (screen.width - w) / 2;
                         var wint = (screen.height - h) / 2;
                         winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
                         win = window.open(mypage, myname, winprops)
                         if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
                         }
                      ]]>
        </script>
      </head>
      <body bgcolor="#FFFFFF">
        <xsl:call-template name="page_content">
          <xsl:with-param name="page" select="page"/>
        </xsl:call-template>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="page_content">
    <xsl:param name="page"/>
    <table width="100%" border="0" cellspacing="0" cellpadding="0"
           align="center">
      <tr bgcolor="#336699">
        <td colspan="7">&nbsp;</td>
      </tr>
      <tr bgcolor="#F0F0F0">
        <td colspan="7" bgcolor="#336699" align="center">
          <a href="http://xdk.us.oracle.com" class="navh">Oracle XML 
           Development Portal</a>
        </td>
      </tr>
      <tr bgcolor="#336699">
        <td colspan="4">&nbsp;</td>
        <td colspan="3" align="right" class="portletTitle">
          <i>XML - Powered by Oracle XDK</i>
        </td>
      </tr>
      <tr>
        <td colspan="7">
          <TABLE width="100%" border="0" cellspacing="0" cellpadding="0">
            <TR>
              <TD bgcolor="#336699" valign="BOTTOM" align="left" width="150">
                <img src="/xdkus/images/oc_navshadow.gif" border="0" alt="" width="150"
                     height="10"/>
              </TD>
              <TD valign="BOTTOM" width="10" bgcolor="#316592">
                <img src="/xdkus/images/oc_shadow.gif" border="0" alt="" width=""
                     height="10"/>
              </TD>
              <TD valign="BOTTOM" width="32" bgcolor="#316592">
                <IMG src="/xdkus/images/oc_topcurl.gif" border="0" alt=" " width="32"
                     height="25"/>
              </TD>
              <TD colspan="4" valign="TOP" width="100%">
                <TABLE width="100%" border="0" cellspacing="0" cellpadding="0"
                       background="/xdkus/images/oc_shadow.gif">
                  <TR>
                    <TD colspan="4">
                      <IMG src="/xdkus/images/stretch.gif" border="0" alt=" " width="1"
                           height="10"/>
                    </TD>
                  </TR>
                </TABLE>
              </TD>
            </TR>
          </TABLE>
        </td>
      </tr>
      <tr align="left" valign="middle">
        <td width="170" valign="top">
          <xsl:apply-templates select="$page/nav"/>
        </td>
        <td bgcolor="#FFFFFF" width="100%" valign="top" colspan="5">
          <xsl:apply-templates select="$page/content"/>
        </td>
        <td width="162" valign="top">
         <xsl:if test="$page/login">
          <xsl:call-template name="usr_login">
            <xsl:with-param name="content" select="$page/login"/>
          </xsl:call-template>
         </xsl:if>
          <xsl:apply-templates select="$page/topic"/>
          <xsl:apply-templates select="$page/link"/>
        </td>
      </tr>
      <tr>
        <td colspan="7">
          <hr class="line" size="1"/>
        </td>
      </tr>
    </table>
  </xsl:template>
  <xsl:template match="node()|@*">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
