<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="loginb.xsl"/>
<xsl:include href="nav_ns.xsl"/>
<xsl:include href="link.xsl"/>
<xsl:include href="topic.xsl"/>
<xsl:include href="message.xsl"/>

<xsl:output indent="no"/>
<!--method="xml" omit-xml-declaration="yes"-->  

<xsl:variable name="Pname_t">
  <xsl:value-of select="/page/source/source_files/source[./@name=/page/title]/@title"/>
</xsl:variable>

<xsl:variable name="Pname">
  <xsl:value-of select="/page/title/text()"/>
</xsl:variable>

<xsl:template match="/">
  <html>
  <head>
  <title><xsl:value-of select="$Pname_t"/></title>
  <meta http-equiv="Content-Type" content="text/html"/>
  <link rel="stylesheet" type="text/css" href="/xdkus/js/xdkus_ns.css"/>
  <script LANGUAGE="JavaScript">
     function NewWindow(mypage, myname, w, h, scroll) {
     var winl = (screen.width - w) / 2;
     var wint = (screen.height - h) / 2;
     winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
     win = window.open(mypage, myname, winprops)
     if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
     }
  </script>
  </head>
  <body bgcolor="#FFFFFF">
    <xsl:choose>
      <xsl:when test="/page/visit"> 
        <xsl:call-template name="page_content">
	  <xsl:with-param name="page" select="page"/>
        </xsl:call-template>
      </xsl:when>
     <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="/page/status[text() !='in'] or  
		 (/page[usr/text() = ''])">
          Access Forbidden.
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="page_content">
	  <xsl:with-param name="page" select="page"/>
         </xsl:call-template>        
        </xsl:otherwise>
      </xsl:choose>
     </xsl:otherwise>
    </xsl:choose>
  </body>
  </html>
</xsl:template>

  <xsl:template name="page_content">
   <xsl:param name="page"/>
     <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
       <tr bgcolor="#336699"> 
         <td colspan="7">&nbsp;</td>
       </tr>
       <tr bgcolor="#F0F0F0"> 
         <td colspan="7"  bgcolor="#336699" align="center" >
            <a href="http://xdk.us.oracle.com" class="navh">Oracle XML 
           Development Group</a></td>
       </tr>
       <tr bgcolor="#336699"> 
         <td colspan="4">&nbsp;</td>
         <td colspan="3" align="right" class="portletTitle">
           <i>XML - Powered by Oracle XDK </i> 
         </td>
       </tr>
        <tr align="left" valign="middle"> 
            <td width="170" valign="top"> 
                <xsl:apply-templates select="$page/nav"/>
            </td>
            <td bgcolor="#FFFFFF" width="100%" valign="top" colspan="5"> 
                 <xsl:apply-templates select="$page/content"/>
           </td>
            <td width="162" valign="top"> <br/>
              <xsl:call-template name="usr_login">
                 <xsl:with-param name="content"  select="$page/login"/>
              </xsl:call-template>
              <xsl:apply-templates select="$page/topic"/>
              <xsl:apply-templates select="$page/link"/>
            </td>
         </tr>
         <tr> 
           <td colspan="7"><hr class="line" size="1"/></td>
         </tr>
           <tr align="center"> 
             <td colspan="7" class="footnt">
             <p><font color="#FF0000">Using Netscape, you have limited access of
             XDK.US resources. Please use IE5.0 or later for better support.</font></p>
             <p>Copyright &#169; ORACLE CORE and XDK Development 
               Team</p></td>
           </tr>
           <!--<tr align="center"> 
             <td colspan="7" class="footnt">
              <xsl:apply-templates select="$page/source"/>
             </td>
           </tr>-->
       </table>
  </xsl:template>

  <xsl:template match="node()|@*">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template name ="source_links" match="source_files">
   <xsl:for-each select="source[./@name='xdkus']">
     <xsl:value-of select="./@name"/><xsl:text>: </xsl:text>
    <xsl:for-each select="file">
       <a href="{./@link}"><xsl:value-of select="."/></a>
       <xsl:text> </xsl:text>
    </xsl:for-each>
    </xsl:for-each>
   <xsl:for-each select="source[./@name=$Pname]">
     <xsl:value-of select="./@name"/><xsl:text>: </xsl:text>
    <xsl:for-each select="file">
       <a href="{./@link}"><xsl:value-of select="."/></a>
       <xsl:text> </xsl:text>
    </xsl:for-each>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>