/**
 * File Name: NewsInsert.java
 * Description:
 *   XSQL ActionHandler for inserting news into the database
 * Modified (MM/DD/YYYY)
 *   jiwang  04/27/2003 - Create
 * Notes:
 *   
 */
package oracle.xml.sample.xsql.portal;

import java.sql.*;
import java.net.*;
import oracle.xml.xsql.*;
import javax.servlet.http.*;
import oracle.xml.parser.v2.*;
import org.w3c.dom.*;
import java.io.*;
import org.xml.sax.SAXParseException;
import java.io.StringReader;

public class NewsInsert extends XSQLActionHandlerImpl
{
  PreparedStatement  pstmt = null;

  String m_title=null;
  String m_note=null;
  String m_link=null;
  String m_cat=null;
  String m_time=null;
  String m_constr=null;
  String m_user=null;
  String m_passwd=null;

  public void handleAction(Node root) throws SQLException
  {
    if(getPageRequest().getRequestType().equals("Servlet"))
    {
      XSQLServletPageRequest xspr = (XSQLServletPageRequest)getPageRequest();

      HttpServletRequest req = xspr.getHttpServletRequest();

      m_constr = req.getParameter("connection");
      m_user = req.getParameter("user");
      m_passwd = req.getParameter("passwd");

      m_title = req.getParameter("title");
      m_note = req.getParameter("note");
      m_link = req.getParameter("link");
      m_cat = req.getParameter("category");
      m_time = req.getParameter("time");


      //Save Contents into DB
      try {
        DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
        Connection conn = DriverManager.getConnection(m_constr,m_user,m_passwd);

        pstmt = conn.prepareStatement (
            "Insert into news(title,notes,link,createtime,category) values(?,?,?,?,?)");
        // Set the prepared statement
        pstmt.setString(1,m_title);
        pstmt.setString(2,m_note);
        pstmt.setString(3,m_link);
        pstmt.setString(4,m_time);
        pstmt.setString(5,m_cat);

        // Excecute the statement
        pstmt.execute();

        //close the result set, statement, and the connection
        if(pstmt != null)  pstmt.close();

        //close connection
        conn.close();
        addResultElement(root,"Message","News item is inserted successfully .");
      }
      catch(Exception e){
        this.reportError(root,"Exception caught "+e.getMessage());
        return;
      }
    }
  }
}