package oracle.xml.sample.xsql.portal;

import java.io.ByteArrayInputStream;
import javax.servlet.http.HttpServletRequest;
import oracle.soap.transport.http.OracleSOAPHTTPConnection;
import java.net.URL;
import oracle.xml.parser.v2.DOMParser;
import oracle.xml.parser.v2.XMLDocument;
import oracle.xml.xsql.XSQLActionHandlerImpl;
import oracle.xml.xsql.XSQLServletPageRequest;
import org.apache.soap.Constants;
import org.apache.soap.Fault;
//import org.apache.soap.SOAPException;
import org.apache.soap.rpc.Call;
import org.apache.soap.rpc.Parameter;
import org.apache.soap.rpc.Response;
import java.util.Properties;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class OTNNewsStub extends XSQLActionHandlerImpl
{
  public String endpoint = "http://otn.oracle.com/ws/oracle.otn.ws.news.OTNNews";
  private OracleSOAPHTTPConnection m_httpConnection = null;

  public OTNNewsStub()
  {
    m_httpConnection = new OracleSOAPHTTPConnection();
  }

 public void handleAction(Node root)
  {
    String m_title=null;
    String m_question=null;
    String m_answer=null;
    String m_category=null;
    String m_language=null;
    String m_path = null;
    
    if(getPageRequest().getRequestType().equals("Servlet"))
    {
      // Get the XSQL Page Request
      XSQLServletPageRequest xspr = (XSQLServletPageRequest)getPageRequest();
      HttpServletRequest req = xspr.getHttpServletRequest();

     getRss(root);
      
    }
  }

  public void getRss(Node root) 
  {
    String returnVal = null;
    try
    {
    URL endpointURL = new URL(endpoint);
    Call call = new Call();
    call.setSOAPTransport(m_httpConnection);
    call.setTargetObjectURI("oracle.otn.ws.news.OTNNews");
    call.setMethodName("getRss");
    call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);

    Response response = call.invoke(endpointURL, "");

    if (!response.generatedFault())
    {
      Parameter result = response.getReturnValue();
      returnVal = (String)result.getValue();
      DOMParser p=new DOMParser();
      p.parse(new ByteArrayInputStream(returnVal.getBytes()));
      XMLDocument doc = p.getDocument();
      appendCopyOfSecondaryDocument(root, doc);
     // return doc.getDocumentElement();
    }
      else
      {
        Fault fault = response.getFault();
        //throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
      }

    }catch(Exception ex)
    {   
    }
    //return null;
  }

  public void setMaintainSession(boolean maintainSession)
  {
    m_httpConnection.setMaintainSession(maintainSession);
  }

  public boolean getMaintainSession()
  {
    return m_httpConnection.getMaintainSession();
  }

  public void setTransportProperties(Properties props)
  {
    m_httpConnection.setProperties(props);
  }

  public Properties getTransportProperties()
  {
    return m_httpConnection.getProperties();
  }
}
	  
