---------------------------------------------------------------------------
-- DBCustomerTrigger.sql
--
-- Create Database Triger for Customer Schema
--
---------------------------------------------------------------------------
---------------------------------------------------------------------------
-- Trigger for Customer Table
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER customer_insert_trigger
BEFORE INSERT ON customer
FOR EACH ROW
BEGIN
 
  SELECT customer_seq.nextval INTO :new.customer_id FROM DUAL;

END;
/
show errors;

---------------------------------------------------------------------------
-- Trigger for Customer Contact
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER contact_insert_trigger
BEFORE INSERT ON contact
FOR EACH ROW
BEGIN
 
  SELECT contact_seq.nextval INTO :new.contact_id FROM DUAL;

END;
/
show errors;


---------------------------------------------------------------------------
-- Trigger for Oracle Contact
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER oracle_contact_insert_trigger
BEFORE INSERT ON oracle_contact
FOR EACH ROW
BEGIN
 
  SELECT oracle_contact_seq.nextval INTO :new.contact_id FROM DUAL;

END;
/
show errors;
---------------------------------------------------------------------------
-- Trigger for Customer Application
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER app_insert_trigger
BEFORE INSERT ON customer_app
FOR EACH ROW
BEGIN
 
  SELECT customer_app_seq.nextval INTO :new.app_id FROM DUAL;

END;
/
show errors;

---------------------------------------------------------------------------
-- Trigger for PM Events 
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER pmevent_insert_trigger
BEFORE INSERT ON pm_event
FOR EACH ROW
BEGIN
 
  SELECT pm_event_seq.nextval INTO :new.event_id FROM DUAL;

END;
/
show errors;

---------------------------------------------------------------------------
-- Trigger for Revenue Events 
---------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER revent_insert_trigger
BEFORE INSERT ON revenue_event
FOR EACH ROW
BEGIN
 
  SELECT revenue_event_seq.nextval INTO :new.event_id FROM DUAL;

END;
/
show errors;
