-------------------------------------------------------------------------------
-- FileName: createFAQTable.sql
-- Description: 
--   Register FAQ Schema and create Default table
-- Modified (MM/DD/YYYY)
--   jiwang  05/20/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Delete the Registered XML Schema
-------------------------------------------------------------------------------
BEGIN
  DBMS_XMLSCHEMA.deleteSchema('http://localhost:8080/public/faq.xsd', DBMS_XMLSCHEMA.DELETE_CASCADE_FORCE);
END;
/
show errors;

-------------------------------------------------------------------------------
--  Register XML Schema
-------------------------------------------------------------------------------
BEGIN
  DBMS_XMLSCHEMA.registerURI('http://localhost:8080/public/faq.xsd','/public/faq.xsd',TRUE,TRUE,FALSE,TRUE);
END;
/
show errors;

ALTER TABLE faq
ADD CONSTRAINT TITLE_IS_UNQIUE
UNIQUE(xmldata."TITLE");

alter table faq drop constraint PRODUCT_IS_VALID;
ALTER TABLE faq 
ADD CONSTRAINT PRODUCT_IS_VALID 
FOREIGN KEY (XMLTYPE(xmldata."CATEGORY").extractValue('/CATEGORY/text()') 
REFERENCES product(product_id)
/
--quit

CREATE INDEX faq_index 
  ON faq (sys_nc_rowinfo$)
  INDEXTYPE IS ctxsys.context
  PARAMETERS('section group ctxsys.path_section_group');

-------------------------------------------------------------
-- Create Functional Index to speed up related FAQ Queries
-------------------------------------------------------------
drop index faqkey_idx;
CREATE INDEX faqkey_idx ON faq c(c.extractValue('/FAQ/ANSWER//KEYWORD/text()'));



