-------------------------------------------------------------------------------
-- FileName: createPMTables.sql
-- Description: 
--   Create Product Management Tables
-- Modified (MM/DD/YYYY)
--   jiwang  05/20/2003 - Create
-------------------------------------------------------------------------------
drop table news;
drop table collateral;
DROP TABLE product;

-------------------------------------------------------------------------------
--  News (Category: xdk, oraclexml, xml)
-------------------------------------------------------------------------------
CREATE TABLE NEWS(
  news_id NUMBER PRIMARY KEY,
  title  VARCHAR2(100),
  notes VARCHAR2(200),
  link VARCHAR2(200),
  createtime DATE,
  category VARCHAR2(10),
  status varchar2(10)
);

CREATE SEQUENCE news_seq START WITH 1;

CREATE or replace TRIGGER news_insert
BEFORE INSERT ON news
FOR EACH ROW
BEGIN
  select news_seq.nextval into :new.news_id from dual;
END;
/
show errors;


-------------------------------------------------------------------------------
--  Release (status: current, archive; lanuage: java, c, plsql)
-------------------------------------------------------------------------------
drop table release;
drop table release_notes;

create table release(
release_id number primary key,
version varchar2(50) not null,
language varchar2(10),
platform varchar2(10),
label varchar2(50),
db_version varchar2(20),
ias_version varchar2(20),
download_url varchar2(100),
release_date DATE,
status varchar2(15)
);

CREATE SEQUENCE release_seq START WITH 1;

CREATE or replace TRIGGER release_insert
BEFORE INSERT ON release
FOR EACH ROW
BEGIN
  select release_seq.nextval into :new.release_id from dual;
END;
/
show errors;

create table release_notes(
version varchar2(50) primary key,
notes varchar2(4000)
);

-------------------------------------------------------------------------------
--  Collaterals (Category: presentation, whitepaper, tutorial)
-------------------------------------------------------------------------------
CREATE TABLE COLLATERAL(
 collateral_id  NUMBER PRIMARY KEY,
 title VARCHAR2(200),
 notes VARCHAR2(400),
 link VARCHAR2(200),
 createtime DATE NOT NULL,
 author VARCHAR2(150),
 category VARCHAR2(30),
 status varchar2(10)
);

CREATE SEQUENCE coll_seq START WITH 1;

CREATE or replace TRIGGER collateral_insert
BEFORE INSERT ON collateral
FOR EACH ROW
BEGIN
  select coll_seq.nextval into :new.collateral_id from dual;
END;
/
show errors;

---------------------------------------------------------------------------
PROMPT Create XML Product TAble ...
---------------------------------------------------------------------------
CREATE TABLE product
(
  product_id VARCHAR2(50) PRIMARY KEY,
  fullname VARCHAR2(100),
  parent_pd VARCHAR2(50),
  DESCRIPTION VARCHAR2(500)
);
