-------------------------------------------------------------------------------
-- FileName: createTables.sql
-- Description: 
--   Create tables used for Portal Site
-- Modified (MM/DD/YYYY)
--   jiwang  05/02/2003 - Add the Send Emails Functionality in the Triggers
--   jiwang  04/27/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  USERs (ROLE: user, admin, manager, developer)
-------------------------------------------------------------------------------
drop table users;
drop sequence users_seq;

CREATE TABLE USERS(
 user_id VARCHAR2(20) PRIMARY KEY,
 uname varchar2(20),
 first_name VARCHAR2(100),
 last_name VARCHAR2(100),
 email VARCHAR2(200),
 password varchar2(20),
 role VARCHAR2(10),
 status varchar2(20),
 register_date DATE,
 last_visit date,
 comments varchar2(4000)
);

CREATE SEQUENCE users_seq START WITH 100;

CREATE or replace TRIGGER users_insert
BEFORE INSERT ON users
FOR EACH ROW
BEGIN
  select users_seq.nextval into :new.user_id from dual;
  select sysdate into :new.register_date from dual;
  select 'pending' into :new.status from dual;

  -- Send Notification
  sendEmail_pkg. send_email('gmsmtp02.oraclecorp.com',
                        'Jinyu.Wang@oracle.com',
                        'XDK Product Mangement<Jinyu.Wang@oracle.com>',
                        :new.email,
                        'Jinyu.Wang@oracle.com',
                        null,
                        'XDK.US Registration',
                        'Thanks for your registration. We will review the request and get back to you soon.');  

END;
/
show errors;

CREATE or replace TRIGGER users_update
AFTER UPDATE ON users
FOR EACH ROW
declare
 mesg varchar2(4000);
BEGIN
    IF UPDATING('STATUS') THEN
      If :old.status = 'pending' and :new.status = 'approved' then
      mesg := 'Role: '||:new.role||chr(10)||
      'Login Name:'||:new.uname||chr(10)||
      'Password:'||:new.password;
       sendEmail_pkg. send_email('gmsmtp02.oraclecorp.com',
                        'Jinyu.Wang@oracle.com',
                        'XDK Product Mangement<Jinyu.Wang@oracle.com>',
                        :new.email,
                         'Jinyu.Wang@oracle.com',
                         null,                       
                        'Registration for XDK is approved.',
                        mesg);  
      end if;
    else 
     IF UPDATING('PASSWORD') THEN
      mesg := 'Role: '||:new.role||chr(10)||
      'Login Name:'||:new.uname||chr(10)||
      'Password:'||:new.password;
       sendEmail_pkg. send_email('gmsmtp02.oraclecorp.com',
                        'Jinyu.Wang@oracle.com',
                        'XDK Product Mangement<Jinyu.Wang@oracle.com>',
                        :new.email,
                         null,
                        'Jinyu.Wang@oracle.com',                       
                        'XDK.US Password Updated',
                        mesg);  
      END IF; 
    END IF;   
END;
/
show errors;



