---------------------------------------------------------------------------
-- DBXMLCustomerData.sql
--
-- Insert Sample Data into Customer Schema
--
---------------------------------------------------------------------------
ALTER SESSION SET NLS_DATE_FORMAT='DD/MM/YYYY';

---------------------------------------------------------------------------
-- Customers...
---------------------------------------------------------------------------
insert into customer(name, description,street, city, state,zip, country, web_site)
  values('SubmitOrder.com', 'SubmitOrder,Inc, is an outstanding company providing branded customer ervice and e-fullfillment solutions to multi-channel retailers and manufactures',
         '123 Lauie St.','San Jose','California','94068','USA','http://www.submitorder.com');

insert into customer(name, description,street, city, state,zip, country, web_site)
  values('Dell', 'Online Computer Retain Company',
         '123 Lauies St.','Montain View','Taxas','94054','USA','http://www.dell.com');

insert into customer(name, description,street, city, state,zip, country, web_site)
  values('Siemens', 'Industry Company in Germany',
         '123 gorge St.','ABC City','Recmond State','12345','Germany','http://www.siemens.com');

---------------------------------------------------------------------------
-- Customer Contacts...
---------------------------------------------------------------------------
insert into contact(first_name, last_name,street, city, state,zip, country, business_phone,cell_phone,email,title, customer_id)
  values('Roger','Lee','123 Lauie St.','San Jose','California','94068','USA',
         '432-958-2311','343-432-9726','Roger.Lee@submitOrder.com','Product Manager',1);

insert into contact(first_name, last_name,street, city, state,zip, country, business_phone,cell_phone,email,title, customer_id)
  values('Richar','Lao','123 Lauie St.','San Jose','California','94068','USA',
         '432-958-2316','343-432-9728','Richar,Lao@submitOrder.com','VP',1);

insert into contact(first_name, last_name,street, city, state,zip, country, business_phone,cell_phone,email,title, customer_id)
  values('Simon','Wu','123 Lauies St.','Montain View','Taxas','94054','USA',
         '432-978-2316','343-402-9728','Simon.Wu@dell.com','Technical Dev Director',2);

insert into contact(first_name, last_name,street, city, state,zip, country, business_phone,cell_phone,email,title, customer_id)
  values('Rimon','Wu','123 gorge St.','ABC City','XXX State','12345','Germany',
         '432-978-2316','343-402-9728','Rimon.Wu@siements.com','Technical Dev Director',3);

---------------------------------------------------------------------------
-- Oracle Contacts...
---------------------------------------------------------------------------
insert into oracle_contact(first_name, last_name,street, city, state,zip, country,business_phone,cell_phone,email,title)
  values('Chris','Yuan','4op13, 500 oracle Parkway','Redwood Shores','CA','94065','USA',
         '732-978-2316','343-802-9728','Chirs.Yuan@oracle.com','Consultant');

---------------------------------------------------------------------------
-- Applications...
---------------------------------------------------------------------------
insert into customer_app(name, description, app_type,customer_id)
  values('Infrastructure','XML Purchase order processing using SAX and XSLT to insert into database tables',
         'Web-based B2B',1);

insert into customer_app(name,description,app_type,customer_id)
  values('Warehouse Management','XML-based Inventory Management','Web-based B2B',2);

insert into customer_app(name,description,app_type,customer_id)
  values('Order Management','XML-based Order and Shipment Management','Web-based B2B',2);

insert into customer_app(name,description,app_type,customer_id)
  values('XML Schema Repository','XML Schema-based Document Management','Content Management',3);


---------------------------------------------------------------------------
-- Applications and Contact...
---------------------------------------------------------------------------
insert into app_contact(app_id, customer_contact_id) values(1,1);
insert into app_contact(app_id, customer_contact_id) values(1,2);
insert into app_contact(app_id, customer_contact_id) values(2,3);
insert into app_contact(app_id, customer_contact_id) values(3,3);
insert into app_contact(app_id, customer_contact_id) values(4,4);

insert into app_occontact(app_id, oracle_contact_id) values(1,1);
insert into app_occontact(app_id, oracle_contact_id) values(2,1);
insert into app_occontact(app_id, oracle_contact_id) values(3,1);
insert into app_occontact(app_id, oracle_contact_id) values(4,1);

---------------------------------------------------------------------------
-- Applications and XML Product...
---------------------------------------------------------------------------
insert into app_product values(1,'saxparser');
insert into app_product values(1,'xsu');
insert into app_product values(1,'xslt');

insert into app_product values(2,'xsu');
insert into app_product values(2,'xmltype');

insert into app_product values(3,'schema');
insert into app_product values(3,'saxparser');

---------------------------------------------------------------------------
-- PM Events...
---------------------------------------------------------------------------
insert into event_type values('cvc','Customer Face to Face');
insert into event_type values('telcon','Tel Conference');


insert into pm_event(name, description, type, time, customer_id)
  values('Customer Face to Face','Presentations to the customer','cvc','11/05/2001',1);

insert into pm_event(name, description, type, time, customer_id)
  values('Customer Face to Face','Presentations to the customer','cvc','10/04/2001',2);

insert into pm_event(name, description, type,time, customer_id)
  values('Tele Conference discuss XML Schema','Presentations to the customer','telcon','11/03/2001',2);

insert into pm_event(name, description, type, time,customer_id)
  values('Tele Conference discuss XML Schema','Presentations to the customer','telcon','1/02/2002',3);

---------------------------------------------------------------------------
-- Revenue Events...
---------------------------------------------------------------------------
insert into revenue_event(name, revenue_amount, description, time,customer_id)
  values('Siements XML Schema Consulting',10000,'Counsulting Revenue','1/07/2002',3);

