---------------------------------------------------------------------------
-- DBProductSchema.sql
--
--   Create Database Schema for Oracle XML Product
--
---------------------------------------------------------------------------
---------------------------------------------------------------------------
--     |- ORACLE
--         |- XDK (1~999)
--         |   |- XML Parser(1) 
--         |   |     |- XML(1)
--         |   |     |- Java(2)
--         |   |     |- C (3)
--         |   |     |- PL/SQL (4)
--         |   |- XML Schema 
--         |   |     |- XML
--         |   |     |- Java
--         |   |     |- C
--         |   |     |- PL/SQL
--         |   |- XSLT
--         |   |     |- XML
--         |   |     |- Java                    
--         |   |     |- C
--         |   |     |- PL/SQL
--         |   |- XML Compression 
--         |   |     |- Java
--         |   |     |- C
--         |   |- XSU
--         |   |     |- Java
--         |   |     |- PL/SQL
--         |   |- XSQL Servlet
--         |   |     |- Java
--         |   |- TransX Utility
--         |   |     |- Java
--         |   |- XML Differ Bean
--         |   |     |- Java
--         |   |- XML Pipeline Processor
--         |   |     |- Java
--         |- XDB  (1000)
--         |   |- XMLType 
--         |   |   |-SQL
--         |   |   |-SQL
--         |   |- SQLX  
--         |   |   |-SQL
--         |   |- XML Schema for XMLType
--         |   |   |-SQL
--         |   |- XMLType View
--         |   |   |-SQL
--         |   |- XML DB Repository
--         |   |   |- NA
--         |   |   |-SQL
--         |- JDeveloper

---------------------------------------------------------------------------
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('xdk', 
            'Oracle XML Developer''s Kit',
            'XML standards-based Tools AND Utilities',
            '');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('saxparser', 
            'SAX Parser',
            'Parse XML Document and provide SAX APIs',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('transx', 
            'TransX Utility',
            'NLS Data Loading Utilities',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('classgen', 
            'Class Generator',
            'Generate Classes based on DTD or XML Schema',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('domparser', 
            'DOM Parser',
            'Parse XML Document and provide DOM-based APIs',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('jbeans', 
            'XDK JavaBeans',
            'Visual and Non-Visual Java Beans',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('schema', 
            'XML Schema Processor',
            'XML Schema Validation Tool',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('soap', 
            'Oracle SOAP',
            'SOAP Server/Client Support',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('xsu', 
            'XML SQL Utility',
            'XML SQL INTERFACE FOR Oracle Database',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('text', 
            'Oracle TEXT',
            'Text-based Indexing Engine in Oracle Database',
            'OracleDB');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('xmltype', 
            'Oracle XMLTYPE',
            'XML SCHEMA Driven OBJECT TYPE',
            'OracleDB');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('xslt', 
            'XSLT Processor',
            'XSLT Transformation Processor',
            'xdk');
INSERT INTO product(product_id, fullname,description, parent_pd)
     VALUES('xsql', 
            'XSQL Servlet',
            'Web-based Publishing Framework',
            'xdk');
COMMIT;
