-------------------------------------------------------------------------------
-- FileName: migrateData.sql
-- Description: 
--   Migrate Data from one database to another
-- Modified (MM/DD/YYYY)
--   jiwang  05/19/2003 - Create
-------------------------------------------------------------------------------
drop database link methane_xdkus;

-------------------------------------------------------------------------------
--  methane.us.oracle.com: XDKDB
-------------------------------------------------------------------------------
CREATE PUBLIC DATABASE LINK methane_xdkus
  CONNECT TO xdkus IDENTIFIED BY xdkus
  USING 'XDK10DB.methane.us.oracle.com';

insert into news(title, notes, link, createtime, category)
  select  title, note, link, createtime,category from xdknews@methane_xdkus;  

insert into collateral(title, notes, link, createtime,author, category)
  select  title, note, link, createtime,author,category from xdkpres@methane_xdkus;  


-------------------------------------------------------------------------------
--  dlsun1982.us.oracle.com:ORCL
-------------------------------------------------------------------------------
CREATE PUBLIC DATABASE LINK dlsun1982_xdkuser 
  CONNECT TO xdkuser IDENTIFIED BY xdkuser
  USING 'ORCL.dlsun1982.us.oracle.com';

CREATE PUBLIC DATABASE LINK dlsun1982_xdkus_g 
  CONNECT TO xdkus IDENTIFIED BY xdkus
  USING 'ORCL.dlsun1982.us.oracle.com';

  

connect xdkuser/xdkuser
create or replace view xmlfaq_vw as 
select  extractValue(value(x),'/FAQ/TITLE/text()') as question,
        extract(value(x),'/FAQ').transform(XMLType('
  <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
   <xsl:if test="FAQ/QUESTION/PARAGRAPH">
     <h2>Detailed Question</h2>
     <xsl:apply-templates select="FAQ/QUESTION/*"/>
   </xsl:if>
     <h2>Answer</h2>
     <xsl:apply-templates select="FAQ/ANSWER/*"/>    
  </xsl:template>
  <xsl:template match="KEYWORD">
         <b>
          <xsl:value-of select="."/>
        </b>
   </xsl:template>
  <xsl:template match="PARAGRAPH">
    <p>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </p>
  </xsl:template>
  <xsl:template match="CODE">
    <pre>
      <xsl:value-of select="."/>
    </pre>
  </xsl:template>
  <xsl:template match="PARAGRAPH/CODE">
   <font face="Courier New">
    <xsl:value-of select="."/>
  </font>
  </xsl:template>
  <!-- Identity transformation -->
  <xsl:template match="*|@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>'), null).getStringVal() as answer,
        extractValue(value(x),'/FAQ/@id') as id,
        extractValue(value(x),'/FAQ/@lastupdate') as MOD_DATE,
        'jinyu.wang' as owner,
        extractValue(value(x), '/FAQ/CATEGORY/text()') as category,
        extractValue(value(x),'/FAQ/LANGUAGE/text()') as language
from xdkus.faq x;


CREATE PUBLIC DATABASE LINK database_marvel
  CONNECT TO marvel IDENTIFIED BY marvel
  USING 'MARVEL.US.ORACLE.COM';



  
