-------------------------------------------------------------------------------
-- FileName: sendEmailPkg.sql
-- Description: 
--   Send emails using UTL_SMTP package
-- Modified (MM/DD/YYYY)
--   jiwang  05/02/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE PACKAGE sendEmail_pkg AS
   PROCEDURE send_email(p_mailhost IN VARCHAR2,
                        p_sender IN VARCHAR2,
                        p_from IN VARCHAR2 DEFAULT NULL,
                        p_to IN VARCHAR2,
                        p_cc IN VARCHAR2 DEFAULT NULL,
                        p_bcc IN VARCHAR2 DEFAULT NULL,
                        p_subject IN VARCHAR2,
                        p_message IN VARCHAR2);
END sendEmail_pkg;
/
CREATE OR REPLACE PACKAGE BODY sendEmail_pkg AS  
  PROCEDURE send_email(p_mailhost IN VARCHAR2,
                       p_sender IN VARCHAR2,
                       p_from IN VARCHAR2 DEFAULT NULL,
                       p_to IN VARCHAR2,
                       p_cc IN VARCHAR2 DEFAULT NULL,
                       p_bcc IN VARCHAR2 DEFAULT NULL,
                       p_subject IN VARCHAR2,
                       p_message IN VARCHAR2)
   AS
    v_crlf      CHAR(2) DEFAULT chr(13)||chr(10);
    v_date      VARCHAR2(255) DEFAULT
                TO_CHAR(SYSDATE, 'dd Mon yy hh24:mi:ss' );
    v_mail_conn utl_smtp.connection;
    PROCEDURE writeData( p_text IN VARCHAR2)
       AS
       BEGIN
         IF ( p_text IS NOT NULL )
           THEN
               utl_smtp.write_data( v_mail_conn, p_text || v_crlf );
         END IF;
        END writeData;
    BEGIN
       v_mail_conn := utl_smtp.open_connection(p_mailhost, 25);
       utl_smtp.helo(v_mail_conn,p_mailhost);
       utl_smtp.mail(v_mail_conn, p_sender);
       IF p_to IS NOT NULL 
          THEN utl_smtp.rcpt(v_mail_conn, p_to); 
       END IF;
       IF p_cc IS NOT NULL 
          THEN utl_smtp.rcpt(v_mail_conn, p_cc);
       END IF;
       IF p_bcc IS NOT NULL
          THEN utl_smtp.rcpt(v_mail_conn, p_bcc);
       END IF;
       utl_smtp.open_data(v_mail_conn );
 
       writeData( 'Date: ' || v_date );
       writeData( 'From: ' || nvl( p_from, p_sender) );
       writeData( 'Subject: ' || nvl( p_subject, '(No Subject)' ) );
 
       writeData( 'TO: '|| p_to);
       writeData( 'Cc: '|| p_cc);
       writeData( 'Bcc: '|| p_bcc);
 
       utl_smtp.write_data( v_mail_conn, '' || v_crlf );
       utl_smtp.write_data(v_mail_conn, p_message );
       utl_smtp.close_data(v_mail_conn );
       utl_smtp.quit(v_mail_conn);
   END send_email;
END sendEmail_pkg;
/
                                       
