<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <table width="95%" border="0">
      <tr>
        <td valign="top" rowspan="2" width="50%">
          <table width="100%" valign="top" border="1">
            <tr>
              <th colspan="4">Purchase Order:
                 <xsl:value-of select="page/submit/purchaseOrder/@ref"/>
              </th>
            </tr>
            <tr>
              <th colspan="2">BillTo:</th>
              <th colspan="2">ShipTo:</th>
            </tr>
            <tr>
              <xsl:for-each select="page/submit/purchaseOrder/billTo">
                <td colspan="2" width="50%">
                  <xsl:value-of select="name"/>
                  <br/>
                  <xsl:value-of select="street"/>
                  <br/>
                  <xsl:value-of select="city"/>
                  <br/>
                  <xsl:value-of select="state"/>,
         <xsl:value-of select="zip"/>
                  <br/>
                  <xsl:value-of select="@country"/>
                </td>
              </xsl:for-each>
              <xsl:for-each select="page/submit/purchaseOrder/shipTo">
                <td width="50%" colspan="2">
                  <xsl:value-of select="name"/>
                  <br/>
                  <xsl:value-of select="street"/>
                  <br/>
                  <xsl:value-of select="city"/>,
         <xsl:value-of select="state"/>
                  <xsl:text/>
                  <xsl:value-of select="zip"/>
                  <br/>
                  <xsl:value-of select="@country"/>
                </td>
              </xsl:for-each>
            </tr>
            <tr>
              <th colspan="1">Comment:</th>
              <td colspan="3">
                <xsl:value-of select="page/submit/purchaseOrder/comment"/>
              </td>
            </tr>
            <tr>
              <th colspan="4">Item:</th>
            </tr>
            <tr>
              <td colspan="4">
                <table width="100%" border="1">
                  <tr>
                    <th width="13%">Quantity</th>
                    <th width="18%">Item No</th>
                    <th width="29%">Item Name</th>
                    <th width="40%">Unit Price</th>
                    <th width="40%">Price</th>
                  </tr>
                  <xsl:for-each select="page/submit/purchaseOrder/items/item">
                    <tr>
                      <td>
                        <xsl:value-of select="quantity"/>
                      </td>
                      <td>
                        <xsl:value-of select="@partNum"/>
                      </td>
                      <td>
                        <xsl:value-of select="productName"/>
                      </td>
                      <td>
                        <xsl:value-of select="USPrice"/>
                      </td>
                      <td>
                        <xsl:value-of select="number(USPrice)*number(quantity)"/>
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </tr>
            <tr>
              <th width="25%">Order Date:</th>
              <td colspan="3" width="75%">
                <xsl:value-of select="page/submit/purchaseOrder/@orderDate"/>
              </td>
            </tr>
          </table>
        </td>
       <th>Source Code</th>
      </tr>
      <tr>
       <td width="50%">
          <iframe width="100%" height="400" FRAMEBORDER="0" src="xmldm_xml/{page/po_param}.xml"/>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
