<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<table width="100%" >
 <tr>
  <td colspan="2">
   <table width="100%" border="1">
     <tr>
      <th colspan="5" width="80%">PO</th>
     </tr>
    <tr> 
    <th width="7%" rowspan="2">DeliverTo</th>
    <xsl:for-each select="page/submit/PO/DeliverTo">
      <td width="21%" rowspan="2">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/>,
         <xsl:value-of select="state"/><xsl:text> </xsl:text>
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
     </td>
    </xsl:for-each>
    <th rowspan="4" width="5%">InvoiceTo</th>
    <xsl:for-each select="page/submit/PO/InvoiceTo">
    <td rowspan="4" width="21%">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/><br/>
         <xsl:value-of select="state"/>,
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
    </td>
    </xsl:for-each>
    <td width="46%"> 
      <div align="center"><xsl:value-of select="page/submit/PO/@ref"/></div>
    </td>
  </tr>
  <tr> 
    <th height="1" width="46%"> 
      <div align="center">Registration Number</div>
    </th>
  </tr>
  <tr> 
    <th width="7%" rowspan="2">Sendby</th>
    <xsl:for-each select="page/submit/PO/sendby">
    <td width="21%" rowspan="2">
         <xsl:value-of select="name"/><br/>
         <xsl:value-of select="street"/><br/>
         <xsl:value-of select="city"/>,
         <xsl:value-of select="state"/><xsl:text> </xsl:text>
         <xsl:value-of select="zip"/><br/>
         <xsl:value-of select="@country"/>
        </td>
        </xsl:for-each>
    <td width="46%"> 
      <div align="center"><xsl:value-of select="page/submit/PO/@orderDate"/></div>
    </td>
  </tr>
  <tr> 
    <th height="1" width="46%"> 
      <div align="center">Order Date</div>
    </th>
  </tr>
  <tr> 
    <td colspan="5">
      <table width="100%" border="1">
        <tr> 
          <th width="13%">Quantity</th>
          <th width="18%">Item No</th>
          <th width="29%">Item Name</th>
          <th width="40%">Unit Price</th>
          <th width="40%">Price</th>
        </tr>
        <xsl:for-each select="page/submit/PO/POLines/item">
          <tr>
          <td><xsl:value-of select="quantity"/></td>
          <td><xsl:value-of select="@partNum"/></td>
          <td><xsl:value-of select="productName"/></td>
          <td><xsl:value-of select="USPrice"/></td>
          <td><xsl:value-of select="number(USPrice)*number(quantity)"/></td>
          </tr>
        </xsl:for-each>
       </table>
      </td>
     </tr>
     </table>
   </td>
  </tr>
  <tr>
   <td>
    <a href="xmldm_xml/{page/po}.xml">Source</a>
   </td>
   <td>
    <a href="xmldm_xml/{page/po}_schema.xsd">PO XML Schema</a>
   </td>
  </tr>
 </table>  
</xsl:template>
</xsl:stylesheet>