<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <table width="100%">
      <tr>
        <td colspan="2">
          <table width="100%" border="1">
            <tr>
              <th colspan="2" width="80%">PuchaseOrder</th>
            </tr>
            <tr>
              <th>Reference:</th>
              <td width="46%">
                <xsl:value-of select="page/submit/PurchaseOrder/Reference"/>
              </td>
            </tr>
            <tr>
              <th>Requestor:</th>
              <td width="46%">
                <xsl:value-of select="page/submit/PurchaseOrder/Requestor"/>
              </td>
            </tr>
            <tr>
              <th width="7%">Cost Center</th>
              <td width="21%">
                <xsl:value-of select="page/submit/PurchaseOrder/CostCenter"/>
              </td>
            </tr>
            <tr>
              <th colspan="2" width="5%">ShippingInstructions</th>
            </tr>
            <tr>
              <th>Address:</th>
              <xsl:for-each select="page/submit/PurchaseOrder/ShippingInstructions">
                <td width="21%">
                  <xsl:value-of select="name"/>
                  <br/>
                  <xsl:value-of select="address"/>
                  <br/>
                </td>
              </xsl:for-each>
            </tr>
            <tr>
              <th>Telephone:</th>
              <td>
                <xsl:value-of select="page/submit/PurchaseOrder/ShippingInstructions/telephone"/>
              </td>
            </tr>
            <tr>
              <th>SpecialInstructions:</th>
              <td>
                <xsl:value-of select="page/submit/PurchaseOrder/SpecialInstructions"/>
              </td>
            </tr>
            <tr>
              <td colspan="5">
                <table width="100%" border="1">
                  <tr>
                    <th width="13%">Quantity</th>
                    <th width="18%">Item No</th>
                    <th width="29%">Item Name</th>
                    <th width="40%">Unit Price</th>
                    <th width="40%">Price</th>
                  </tr>
                  <xsl:for-each select="page/submit/PurchaseOrder/LineItems/LineItem">
                    <tr>
                      <td>
                        <xsl:value-of select="Part/@Quantity"/>
                      </td>
                      <td>
                        <xsl:value-of select="Part/@Id"/>
                      </td>
                      <td>
                        <xsl:value-of select="Description"/>
                      </td>
                      <td>
                        <xsl:value-of select="Part/@UnitPrice"/>
                      </td>
                      <td>
                        <xsl:value-of select="number(Part/@UnitPrice)*number(Part/@Quantity)"/>
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <a href="xmldm_xml/{page/po}.xml">Source</a>
        </td>
        <td>
          <a href="xmldm_xml/{page/po}_schema.xsd">PO XML Schema</a>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
