<!--
 | XSL Stylesheet for Header Part of the Webpage
 +-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- XSL Stylesheet Parameters for the Tabs Navigation -->
<xsl:param name="tab"/>

<!-- Current Tab -->
<xsl:variable name="cur">
  <xsl:choose>
    <xsl:when test="$tab">
      <xsl:value-of select="$tab"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/page/header/tabs/tab[1]/@id"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:template name="header" match="header">
 <table width="100%" cellpadding="0" cellspacing="0" border="0">
   <tr>
     <td align="LEFT" rowspan="2">
       <a href="index.html" target="_parent">
        <img src="images/eslogo_faq.gif" width="283" height="53" border="0" alt="Oralce9i XML Demos"/></a>
     </td>
     <td align="RIGHT" valign="top" colspan="25">
       <xsl:apply-templates select="navbar"/>
     </td>
    </tr>
    <tr>
     <td width="98%">&#160;</td>
     <td valign="bottom" align="right">
       <table border="0" cellpadding="0" cellspacing="0">
        <tr>
         <td align="right">
           <xsl:apply-templates select="tabs"/>
         </td>
        </tr>
       </table>
     </td>
    </tr>
 </table>
</xsl:template>

<xsl:template match="tabs">
  <xsl:apply-templates select="tab"/>
</xsl:template>

<xsl:template match="tab">
  <xsl:choose>
    <xsl:when test="@id=$cur">
      <xsl:call-template name="current-tab"/>
    </xsl:when>
    <xsl:otherwise> 
      <xsl:call-template name="non-current-tab"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="non-current-tab">
  <!--Tab1-->
  <td bgcolor="#B6B687" width="1%" align="LEFT" valign="TOP"><img
     src="images/tab_open.gif" height="21" width="13" border="0" /></td>
  <td width="1%" bgcolor="#B6B687" nowrap="yes"><a href="{@url}">
  <font size="-1" face="Arial" color="#000000">
     <xsl:value-of select="@name"/></font></a></td>
  <td bgcolor="#B6B687" width="1%" align="RIGHT" valign="TOP"><img
    src="images/tab_close.gif" height="21" width="10" border="0" /></td>
  <!--/Tab1-->
</xsl:template>

<xsl:template name="current-tab">
<!--cTab1--><TD bgcolor="#336699" width="1%" align="LEFT" valign="TOP"><IMG SRC="images/ctab_open.gif" height="21" width="18" border="0"/></TD>
<TD width="1%" bgcolor="#336699" nowrap="yes"><b>
<font size="-1" face="Arial" color="#FFFFFF"><xsl:value-of select="@name"/></font></b></TD>
<TD bgcolor="#336699" width="1%" align="RIGHT" valign="TOP"><IMG SRC="images/ctab_close.gif" height="21" width="12" border="0"/></TD><!--/cTab1-->
</xsl:template>

<xsl:template match="navbar">
 <!--NavBar-->
 <table width="1" cellpadding="0" cellspacing="0" border="0">
  <tr>
   <xsl:apply-templates select="navitem"/>
  </tr>
 </table>
 <!--/NavBar-->
</xsl:template>

</xsl:stylesheet>
