<!--+
    | Standard XML Stylesheet for Homepages
    |
    +-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--Include the Standard XSL Transformation Files -->
<xsl:include href="nav.xsl"/>
<xsl:include href="header.xsl"/>
<xsl:include href="message.xsl"/>
<xsl:include href="table.xsl"/>
<xsl:include href="paging.xsl"/>

<!-- Output Fomat-->
<xsl:output indent="no"/>

<!--+
    | Templet for ROOT XML Element
    |
    +-->
<xsl:template match="/">
<!-- HTML File Header -->
<html>
<head>
   <title><xsl:value-of select="page/@title"/></title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
   <link rel="stylesheet" href="js/blafdoc.css"/>
   <script type="text/javascript" src="js/standard.js"></script>

</head>

<body>
 
    <!-- Standard Header -->
    <xsl:apply-templates select="page/header"/>
    
    <!-- Standard Content -->
    <table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
      <tr bgcolor="#336699"> 
         <td colspan="7">&nbsp;</td>
       </tr>
       <tr bgcolor="#F0F0F0"> 
         <td colspan="7"  bgcolor="#336699" align="center" > </td>
       </tr>
       <tr>
         <td colspan="7">
            <TABLE width="100%" border="0" cellspacing="0" cellpadding="0">
             <TR>
               <TD bgcolor="#336699" valign="BOTTOM" align="left" width="170"><img src="images/oc_shadow.gif" border="0" alt="" width="170" height="10"/></TD>
	       <TD valign="BOTTOM" width="10" bgcolor="#316592"><img src="images/oc_shadow.gif" border="0" alt="" width="" height="10"/></TD>
               <TD valign="BOTTOM" width="32" bgcolor="#316592"><IMG src="images/oc_topcurl.gif" border="0" alt=" " width="32" height="25"/></TD>
               <TD colspan="4" valign="TOP" width="100%">
                <TABLE width="100%" border="0" cellspacing="0" cellpadding="0" background="images/oc_shadow.gif"><TR>
                 <TD colspan="4"><IMG src="images/stretch.gif" border="0" alt=" " width="1" height="10"/></TD>
                 </TR></TABLE></TD>
             </TR>
            </TABLE>
          </td>
        </tr>
        <tr align="left" valign="middle"> 
            <td width="170" valign="top"> 
                <xsl:apply-templates select="page/nav_bar"/>
            </td>
            <td bgcolor="#FFFFFF" width="80%" valign="top" colspan="6"> 
              <xsl:if test="page/paging">
               <xsl:apply-templates select="/page/paging"/>
              </xsl:if>
              <xsl:if test="page/action">
               <xsl:apply-templates select="page/action//xsql-error/message"/><br/>
               <xsl:apply-templates select="page/action/ROWSET"/><br/>
              </xsl:if>
              <xsl:apply-templates select="page/content/*"/>
           </td>
         </tr>
        <tr align="left" valign="middle"> 
            <td width="170" valign="top"> 
               <xsl:text> </xsl:text>
            </td>
            <td bgcolor="#FFFFFF" width="80%" valign="top" colspan="6"> 
             <xsl:apply-templates select="page/notes"/>
           </td>
         </tr>
        </table>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
 <tr>
  <td width="100%">
   <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
     <td background="images/bottom_shade.jpg"
         width="100%"><img src="images/blank.gif" width="1"/></td>
     <td style="font-size:8pt;font-family:sans-serif;font-weight:normal;color:#FFFFFF;background-color:#336699" align="right"><img
         src="images/bottom_r.gif"/></td>
    </tr>
   </table>
  </td>
  <td><img src="images/blank.gif" width="8"/></td>
 </tr>
 <tr>
  <td width="100%">
   <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
     <td style="font-size:8pt;font-family:sans-serif;font-weight:normal;color:#FFFFFF;background-color:#336699" align="left" ><span
         style="font-size:8pt;font-family:sans-serif;font-weight:normal;color:#FFFFFF;background-color:#336699">&nbsp;&nbsp;&nbsp;version 9.2.0.2.0</span></td>
     <td style="font-size:8pt;font-family:sans-serif;font-weight:normal;color:#FFFFFF;background-color:#336699" align="right" ><span
         style="font-size:8pt;font-family:sans-serif;font-weight:normal;color:#FFFFFF;background-color:#336699">Copyright &#169; 2002 by Oracle Corporation.  All rights reserved.&nbsp;&nbsp;&nbsp;</span></td>
    </tr>
   </table>
  </td>
  <td><img src="images/blank.gif" width="8"/></td>
 </tr>
</table>
</body>
</html>
</xsl:template>

<!--+
 | XSL Template Copy all the element
 |
 +--> 
 <xsl:template name="ContentCopy" match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
    
    
</xsl:stylesheet>