/**
 * File Name: MyAQServlet.java
 * Description:
 *   My AQServlet providea a listener for SOAP Messages
 * Modified (MM/DD/YYYY)
 *   jiwang  04/15/2003 - Create
 * Notes:
 *   - Message content must be in IDAP format
 */
package oracle.xml.sample.XMLIntegration;

import java.io.PrintStream;
import java.io.FileOutputStream;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import oracle.AQ.xml.AQxmlException;
import oracle.AQ.xml.AQxmlDebug;
import oracle.AQ.xml.AQxmlDataSource;
import oracle.AQ.xml.AQxmlCallback;

import java.util.Hashtable;

public class MyAQServlet extends oracle.AQ.xml.AQxmlServlet
{
  public void init(ServletConfig p_config) throws ServletException 
  {
    // Database Variables
    String username="pouser";
    String password="pouser";
    String sid="ORCL";
    String host="localhost";
    String port="1521";

    AQxmlDataSource  db_drv = null;
    try {
      // Set the log file
      PrintStream debugFile = new PrintStream (new FileOutputStream("aqdebug.log"));
      debugFile.println("Function Called");
      debugFile.flush();

      super.init(p_config);

      AQxmlDebug.setTraceLevel(5);
      AQxmlDebug.setDebug(true);
      AQxmlDebug.setLogStream(new FileOutputStream("aqlogfile"));

      // Get and Set DataSource
      db_drv = new AQxmlDataSource(username, password, sid, host, port);
      this.setAQDataSource(db_drv);

      // Set StyleSheet
      //this.setStyleSheet("text/xsl", "include/Response.xsl");
    }
    catch (AQxmlException aq_ex) 
    {
      aq_ex.printStackTrace();
      aq_ex.getNextException().printStackTrace();
    }
    catch (Exception ex) 
    {
      ex.printStackTrace();
    }
  }
}

