-------------------------------------------------------------------------------
-- FileName: createMesgQueue.sql
-- Description: 
--   Create the PO Message queue, setup the HTTP agents for IDAP access
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
SET echo ON
-------------------------------------------------------------------------------
-- Create Message Queue 
-------------------------------------------------------------------------------
EXECUTE dbms_aqadm.stop_queue(queue_name=>'poxml_q');
EXECUTE dbms_aqadm.drop_queue(queue_name=>'poxml_q');
EXECUTE dbms_aqadm.drop_queue_table(queue_table=>'poxml_qt', force=>true);

BEGIN
 dbms_aqadm.create_queue_table(queue_table=>'poxml_qt',
                                      queue_payload_type=>'SYS.XMLTYPE',
                                      COMMENT=>'Purchase Order Queue Table', 
                                      multiple_consumers=>TRUE,
                                      primary_instance=>1,
                                      secondary_instance=>2);
END;
/
BEGIN
  dbms_aqadm.create_queue(queue_name => 'poxml_q',
                          queue_table =>'poxml_qt');
END;
/
BEGIN
   dbms_aqadm.start_queue (queue_name => 'poxml_q');
END;
/

-- Quit
