-------------------------------------------------------------------------------
-- FileName: createPOTables.sql
-- Description: 
--   Create PO Tables and View for XML messages
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
DROP TABLE po_tbl;
DROP TABLE po_rejected_tbl;
DROP TABLE po_backup_tbl;

CREATE TABLE po_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 podoc XMLTYPE
);

CREATE TABLE po_rejected_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 reason VARCHAR2(500),
 podoc XMLTYPE
);

CREATE TABLE po_backup_tbl(
 msgid RAW(16),
 consumer VARCHAR2(100),
 sender VARCHAR2(200),
 podoc XMLTYPE
);

CREATE OR REPLACE VIEW message_view(msgid, reason,podoc,status) AS
   (SELECT msgid, 'OK',podoc,'accepted'
      FROM po_backup_tbl)
   UNION ALL
   (SELECT msgid, reason, podoc, 'rejected'
      FROM po_rejected_tbl);

-------------------------------------------------------------------------------
-- Provide read permission to poadmin for message administration
-------------------------------------------------------------------------------
grant SELECT,DELETE on po_tbl to poadmin;
grant SELECT,DELETE  on po_rejected_tbl to poadmin;
grant SELECT,DELETE  on po_backup_tbl to poadmin;

-- Quit
