-------------------------------------------------------------------------------
-- FileName:  testloadData.sql
-- Description: 
--   Load Sample XML data and XML Schema into database for testing
-- Modified (MM/DD/YYYY)
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
DROP TABLE xml_tbl;
DROP TABLE xsd_tbl;
-------------------------------------------------------------------------------
--  XML Table is only used for testing 
-------------------------------------------------------------------------------

CREATE TABLE xml_tbl(
  id NUMBER, 
  xml CLOB
);

CREATE TABLE xsd_tbl(
  id NUMBER, 
  xsd CLOB
);

-------------------------------------------------------------------------------
-- fileToClob function
-------------------------------------------------------------------------------
CREATE OR REPLACE FUNCTION fileToClob(fname VARCHAR2) RETURN CLOB IS
fclob CLOB;
theBFile BFILE;
num NUMBER :=0;
src_offset NUMBER :=1;
dest_offset NUMBER:=1;
lang_context NUMBER :=1;
BEGIN
  dbms_lob.createtemporary(fclob,FALSE,DBMS_LOB.SESSION);

  theBFile := BFileName('XMLFILES',fname);

  dbms_lob.fileOpen(theBFile);

  dbms_lob.loadClobFromFile(dest_lob=>fclob,
                            src_bfile=>theBFile,
                            amount=>dbms_lob.getLength(theBFile),
                            dest_offset=>dest_offset,
                            src_offset=>src_offset,
                            bfile_csid=>0,
                            lang_context=>lang_context,
                            warning=>num);

  dbms_lob.fileClose(theBFile);
  return fclob;
end;
/
show errors;
-------------------------------------------------------------------------------
-- Load the Data from the Defined Directory
-------------------------------------------------------------------------------
insert into xml_tbl values(1,fileToClob('po1.xml'));
insert into xml_tbl values(2,fileToClob('po2.xml'));
insert into xml_tbl values(3,fileToClob('po3.xml'));
insert into xml_tbl values(4,fileToClob('po4.xml'));
insert into xml_tbl values(5,fileToClob('po5.xml'));
insert into xsd_tbl values(1,fileToClob('po.xsd'));

-- Quit
