package oracle.xml.sample.pipeline;

import java.io.PrintWriter;
import java.util.Hashtable;
import oracle.xml.parser.schema.XSDException;
import oracle.xml.parser.schema.XSDValidator;
import oracle.xml.parser.v2.DefaultXMLDocumentHandler;
import oracle.xml.parser.v2.XMLError;
import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;

public class ExXSDHandler extends XSDValidator {
  private MyXMLError err;
  Hashtable ht;
  PrintWriter out;
  XSDValProcess parentProcess;  
  int errorIndex=0;

  public ExXSDHandler(PrintWriter out, XSDValProcess parentProcess) throws XSDException,SAXException
  {
    this.out= out;
    this.parentProcess=parentProcess;
    parentProcess.isValid=true;
    err = new MyXMLError();
    setError(err);
    ht =new Hashtable();
    ht.put(new Integer(24536),"24536");
    ht.put(new Integer(24534),"24534");
  }

  public void startDocument() throws SAXException
  {
    super.startDocument();
  }

  public void startElement(String namespaceURI, String localName,
                           String qName, Attributes atts) throws SAXException
  {
    super.startElement(namespaceURI,localName,qName,atts);
  }

  public void endElement(String namespaceURI, String localName,String qName) 
  throws SAXException
  {
    super.endElement(namespaceURI, localName,qName);   

    // If validation errors exists, exit the process
    int i = err.getNumMessages();  
    if(i>errorIndex) {
      errorIndex=i;
      //if(isValid=true){
      parentProcess.isValid=false;
      //  out.println("<errors id=\"XSDHandler\">");       
      //}
      int j= err.getErrorCode(i-1);
      // out.print("<error "+"id=\""+j+"\" ");
      //System.out.println(j);                  // Remove after Debugging
      if(ht.get(new Integer(j)) != null) {
        parentProcess.isCheckXSDDiff=true;
        //out.print("isDiff=\"true\"");   
        //System.out.println("We need do sth");  // Remove after Debugging
      }
      //out.println(">\n(Line,Column)("+err.getLineNumber(i-1)+","+
      //    err.getColumnNumber(i-1)+"):"+err.getMessage(i-1));  
      //out.println("</error>");
      //System.out.println("(Line,Column)("+err.getLineNumber(i)+","+
      //    err.getColumnNumber(i)+"):"+err.getMessage(i)); 
      // Remove after Debugging
      //System.out.flush();                     // Remove after debugging
    }
  }
  public void endDocument() throws SAXException
  {
    super.endDocument();
    /* 
    if(isValid=false)
      out.println("</errors>");
    out.flush(); 
    */                                         // Remove after debugging
  }
}