package oracle.xml.sample.pipeline;

import java.io.PrintWriter;
import java.util.Hashtable;
import oracle.xml.parser.schema.XSDException;
import oracle.xml.parser.schema.XSDValidator;
import oracle.xml.parser.v2.DefaultXMLDocumentHandler;
import oracle.xml.parser.v2.XMLError;
import oracle.xml.parser.v2.XMLParseException;
import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;

public class XSDValidationHandler extends XSDValidator {
  private MyXMLError err;
  PrintWriter out;
  XSDConditionalValProcess parentProcess;

  public XSDValidationHandler(PrintWriter out, 
                              XSDConditionalValProcess parentProcess) 
  throws XSDException,SAXException
  {
    this.out= out; 
    this.parentProcess=parentProcess;
    parentProcess.isValid=true;
    err = new MyXMLError();
    setError(err);
  }

  public void startElement(String namespaceURI, String localName,
                           String qName, Attributes atts) throws SAXException
  {
    super.startElement(namespaceURI,localName,qName,atts);
  }

  public void endElement(String namespaceURI, String localName,String qName) 
  throws SAXException
  {
    super.endElement(namespaceURI, localName,qName);   
  }
  public void endDocument() throws SAXException
  {
    super.endDocument();

    out.println("<errors id=\"conditionalValidation\">");
    for(int i=1;i< err.getNumMessages(); i++) {
      parentProcess.isValid=false;
      int j= err.getErrorCode(i-1);
      out.println("<error "+"id=\""+j+"\">");
      out.println("(Line,Column)("+err.getLineNumber(i-1)+","+
                  err.getColumnNumber(i-1)+"):"+err.getMessage(i-1));   
      out.println("</error>");
    }
    out.println("</errors>");
    out.flush(); 
  }
}