<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
     
<!--xsl:param name="OutputFileName" select="dvdlist"/-->
<xsl:param name="Graphics" select="'ON'"/>
<xsl:param name="ColorDepth" select="'16'"/>

<xsl:param name="LinesPerPage" select="'6'"/>

<xsl:param name="MediaType" select="'PC'"/>

<xsl:choose>
 <xsl:when select="$MediaType='PC'"> 
    <xsl:output encoding="UTF-8" method="HTML"/>
 </xsl:when>
 <xsl:otherwise>
   <xsl:choose>
    <xsl:when test="$MediaType='PHONE'">
     <xsl:output encoding="UTF-8" method="XML" 
          doctype-public="-//WAPFORUM//DTD WML 1.1//EN"
          doctype-system="http://www.wapforum.org/DTD/wml_1.1.xml"/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:output encoding="UTF-8" method="HTML"/>
    </xsl:otherwise>
  </xsl:choose>      
 </xsl:otherwise>
</xsl:choose>

<xsl:template match="/">
 <xsl:if test="$MediaType='PC'">
   <xsl:apply-templates mode="PC" select="/" />
 </xsl:if>
 <xsl:if test="$MediaType='PDA'">
   <xsl:apply-templates mode="PC" select="/" />
 </xsl:if>
 <xsl:if test="$MediaType='PHONE'">
   <xsl:apply-templates mode="PHONE" select="/" />
 </xsl:if>
</xsl:template>

<xsl:template match="DVDcatalog" mode="PC">
 <html>
  <body>
    <table>
     <tr> 
     <th>ISBN</th>
     <td>Title</td>
     <td>Director</td>
     <td>Studio</td>
     <td>Year</td>
     <xsl:if test="$Graphics='ON'">
       <td>Picture</td>
     </xsl:if>
     <td>Price</td>
    </tr>
    <xsl:for-each select="dvd">
     <tr>
      <td><xsl:value-of select="ISBN"/></td>
      <td><xsl:value-of select="title"/></td>
      <td><xsl:value-of select="director_lastname"/></td>
      <td><xsl:value-of select="studio"/></td>
      <td><xsl:value-of select="year"/></td>
      <xsl:if test="$Graphics='ON'">
      <td>
        <xsl:if test="$ColorDepth = 16">
          <img href="{graphics/color16/@URL}"/>
        </xsl:if>
        <xsl:if test="$ColorDepth = 64">
          <img href="{graphics/color64K/@URL}"/>
        </xsl:if>
       </td>
      </xsl:if>
      <td><xsl:value-of select="price"/></td>
     </tr>
    </xsl:for-each>
    </table>
  </body>
 </html>
</xsl:template>

<xsl:template match="DVDcatalog" mode="PHONE">
 <wml>
   <card>
  <xsl:for-each select="dvd">
   <p> 
  ISBN: <xsl:value-of select="ISBN"/><br/>
  Title: <xsl:value-of select="title"/><br/>
  Director: <xsl:value-of select="director_lastname"/><br/>
  Studio: <xsl:value-of select="studio"/><br/>
  Year: <xsl:value-of select="year"/><br/>
  Price: <xsl:value-of select="price"/><br/>
   </p>
   </xsl:for-each>
   </card>
   </wml>
 </xsl:template>
</xsl:stylesheet>
