// This example demonstrates a simple use of the SAXParser.
// An XML file is parsed and some information is printed out.
import org.xml.sax.*;
import java.io.*;
import java.net.*;
import oracle.xml.parser.v2.*;
public class SAXHandler extends DefaultHandler {
public static void main(String[] argv) {
try {
// Get an instance of the parser
Parser parser = new SAXParser();
// Create a SAX event handler and register it with the parser
SAXHandler handler = new SAXHandler();
parser.setContentHandler(handler);
// Convert file to InputSource and parse
InputSource xmldoc = new InputSource(new FileInputStream(argv[0]));
parser.parse(xmldoc);
}
catch (Exception e) {
System.out.println(e.toString());
}
}
// Sample implementation of DocumentHandler interface.
public void startElement(String name, Attributes atts)
throws SAXException {
System.out.println("StartElement:"+name);
for (int i=0;i<atts.getLength();i++) {
String aname = atts.getName(i);
String type = atts.getType(i);
String value = atts.getValue(i);
System.out.println(" "+aname+"("+type+")"+"="+value);
}
}
public void characters(char[] cbuf, int start, int len) {
System.out.print("Characters:");
System.out.println(new String(cbuf,start,len));
}
}