// This example demonstrates how to use SAX Level 2 Namespace
// support, followed by how to use the callback
// methods startElement and endElement.
import java.io.*;
import java.net.URL;
import java.net.MalformedURLException;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import oracle.xml.parser.v2.SAXParser;
public class SAX2Namespace {
static public void main(String[] args) {
String fileName;
//Get the file name
fileName = args[0];
try {
// Create handlers for the parser
// For all the other interfaces use the default provided by
// Handler base
DefaultHandler defHandler = new XMLDefaultHandler();
SAXParser parser = new SAXParser();
parser.setContentHandler(defHandler);
parser.setErrorHandler(defHandler);
parser.setEntityResolver(defHandler);
parser.setDTDHandler(defHandler);
try {
parser.parse(createURL(fileName));
}
}
}
static URL createURL(String fileName) {
URL url = null;
try {
url = new URL(fileName);
} catch (MalformedURLException ex) {
try {
File f = new File(fileName);
url = f.toURL();
}
catch (MalformedURLException e) {
System.out.println("Cannot create url for: " + fileName);
System.exit(0);
}
}
return url;
}
}
class XMLDefaultHandler extends DefaultHandler {
public void XMLDefaultHandler() {
}
public void startElement(String uri, String localName,
String qName, Attributes atts)
throws SAXException {
System.out.println("ELEMENT Qualified Name:" + qName);
System.out.println("ELEMENT Local Name :" + localName);
System.out.println("ELEMENT Namespace :" + uri);
for (int i=0; i<atts.getLength(); i++) {
qName = atts.getQName(i);
localName = atts.getLocalName(i);
uri = atts.getURI(i);
System.out.println(" ATTRIBUTE Qualified Name :" + qName);
System.out.println(" ATTRIBUTE Local Name :" + localName);
System.out.println(" ATTRIBUTE Namespace :" + uri);
// You can get the type and value of the attributes either
// by index or by the Qualified Name.
String type = atts.getType(qName);
String value = atts.getValue(qName);
System.out.println(" ATTRIBUTE Type :" + type);
System.out.println(" ATTRIBUTE Value :" + value);
System.out.println();
}
}
public void endElement(String uri, String localName,
String qName) throws SAXException {
System.out.println("ELEMENT Qualified Name:" + qName);
System.out.println("ELEMENT Local Name :" + localName);
System.out.println("ELEMENT Namespace :" + uri);
}
}