import java.io.*;
import java.net.*;
import oracle.xml.parser.v2.DOMParser;
import org.w3c.dom.*;
import org.w3c.dom.Node;
// Extensions to DOM Interfaces for Namespace support.
import oracle.xml.parser.v2.XMLElement;
import oracle.xml.parser.v2.XMLAttr;
public class DOMExample {
public static void main(String[] argv){
try {
// Generate a new input stream from given file
FileInputStream xmldoc = new FileInputStream(argv[0]);
// Parse the document using DOMParser
DOMParser parser = new DOMParser();
parser.parse(xmldoc);
// Obtain the document.
Document doc = parser.getDocument();
// Print some information regarding attributes of elements
// in the document
printElementAttributes(doc);
}
catch (Exception e){
System.out.println(e.toString());
}
}
static void printElementAttributes(Document doc){
NodeList nl = doc.getElementsByTagName("*");
Element e;
XMLAttr nsAttr;
String attrname, attrval, attrqname; NamedNodeMap nnm;
for (int j=0; j < nl.getLength(); j++) {
e = (Element) nl.item(j);
System.out.println(e.getTagName() + ":");
nnm = e.getAttributes();
if (nnm != null) {
for (int i=0; i < nnm.getLength(); i++) {
nsAttr = (XMLAttr) nnm.item(i);
// Use the methods getQualifiedName(), getLocalName(),
// getNamespace(), and getExpandedName() in NSName
// interface to get Namespace information.
attrname = nsAttr.getExpandedName(
attrqname = nsAttr.getQualifiedName();
attrval = nsAttr.getNodeValue();
System.out.println(" " + attrqname + "(" + attrname +
")" + " = " +attrval);
}
}
System.out.println();
}
}
}