// This filter accepts everything
NodeFilter n1 = new nf1();
// Node iterator doesn't allow expansion of entity references
NodeIterator ni =
doc.createNodeIterator(elems[0],NodeFilter.SHOW_ALL,n1,false);
// Move forward
XMLNode nn =(XMLNode) ni.nextNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.nextNode();
}
// Move backward
nn = (XMLNode)ni.previousNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.previousNode();
}
// Node iterator allows expansion of entity references
ni = doc.createNodeIterator(elems[0],NodeFilter.SHOW_ALL,n1,true);
// Move forward
nn =(XMLNode) ni.nextNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.nextNode();
}
// Move backward
nn = (XMLNode)ni.previousNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.previousNode();
}
// This filter doesn't accept expansion of entity references
NodeFilter n2 = new nf2();
// Node iterator allows expansion of entity refer
ni = doc.createNodeIterator(elems[0],NodeFilter.SHOW_ALL,n2,true);
// Move forward
nn =(XMLNode) ni.nextNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.nextNode();
}
// Move backward
nn = (XMLNode)ni.previousNode();
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)ni.previousNode();
}
// After detaching, all node iterator methods throw an exception
ni.detach();
try {
nn = (XMLNode)ni.nextNode();
}
catch(DOMException e) {
System.out.println(e.getMessage());
}
try {
nn = (XMLNode)ni.previousNode();
}
catch(DOMException e){
System.out.println(e.getMessage());
}
// TreeWalker allows expansion of entity references
TreeWalker tw =
doc.createTreeWalker(elems[0],NodeFilter.SHOW_ALL,n1,true);
nn = (XMLNode)tw.getRoot();
// Traverse in document order
while (nn != null) {
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)tw.nextNode();
}
tw = doc.createTreeWalker(elems[0],NodeFilter.SHOW_ALL,n1,true);
nn = (XMLNode) tw.getRoot();
// Traverse the depth left
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)tw.firstChild();
}
tw = doc.createTreeWalker(elems[0],NodeFilter.SHOW_ALL,n2,true);
nn = (XMLNode)tw.getRoot();
// Traverse in document order
while (nn != null){
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)tw.nextNode();
}
tw = doc.createTreeWalker(elems[0],NodeFilter.SHOW_ALL,n2,true);
nn = (XMLNode) tw.getRoot();
// Traverse the depth right
while (nn != null) {
System.out.println(nn.getNodeName() + " " + nn.getNodeValue());
nn = (XMLNode)tw.lastChild();
}
...
class nf1 implements NodeFilter {
public short acceptNode(Node node) {
return FILTER_ACCEPT;
}
}
class nf2 implements NodeFilter {
public short acceptNode(Node node) {
short type = node.getNodeType();
if ((type == Node.ELEMENT_NODE) || (type == Node.ATTRIBUTE_NODE))
return FILTER_ACCEPT;
if ((type == Node.ENTITY_REFERENCE_NODE))
return FILTER_REJECT;
return FILTER_SKIP;
}
}