#include <stdio.h> 
#include <stdarg.h> 
#include <string.h> 

#include <xml.h> 
  

/* Deposit xsb and insert into the map file function */ 
void depositxsb(char *fileargv, ub2 *code, ub4 len, char *filemap) 
{ 
    char filename[200], *name;
	char *input = NULL; 
	char *inputxsl = NULL; 
	FILE *xsb; 
	xmlctx *ctx;
    xmlerr *ecode = NULL;
    xmltextnode *textnode;
    xmlattrnode *attr1;
    xmldocnode  *doc;
    xmlelemnode *node, *elem; 

    name = (char *)strtok(fileargv, "."); 
    strcpy(filename, name); 
    strcat(filename, ".xsb"); 
    xsb = fopen(filename, "w"); 
    fwrite((void *)code, len, 1, xsb); 
    fclose(xsb); 

  /* Assuming the XML declaration and root node already exist
   * in the map file.  Init and deal with xml map file  
   */
    if (!(ctx = XmlCreate(ecode, (oratext *)"xml_context", NULL)))
    {
        printf("Failed to initialze XML parser, error \n");
    }

    if (!(doc=XmlLoadDom(ctx, ecode, filemap, NULL)))
    {
        printf("Parse failed, code %d\n", (int) ecode);
    }

  /* Get root element */
  node = XmlDomGetDocElem(ctx, doc); 
   
  /* Create the element, add data, create the attribute */
  if (!(elem = XmlDomCreateElem(ctx, doc, (oratext *)"xsl")))
  { 
     printf("Element creation failed\n");
  } 
  if (!(textnode = XmlDomCreateText(ctx, doc, (oratext *)inputxsl)) ||
        !XmlDomAppendChild(ctx, elem, textnode))
  { 
     printf("Text node creation failed\n");
  } 
  if (!(attr1 = XmlDomCreateAttr(ctx, doc, (oratext*)"xsb",(oratext*)input)))
  {
     printf("Attribute creation failed\n");
  } 
  if (!XmlDomSetAttrNode(ctx, elem, attr1))
  {
     printf("Attribute setting failed\n");
  } 

  /* insert the element */
  if (!XmlDomAppendChild(ctx, (xmlnode *)node, (xmlnode *)elem))
  { 
     printf("Appending to root element failed \n");
  }

  XmlFreeDocument(ctx, doc); 

} 

 
/* ========================================================================== 
                                      main 
  ---------------------------------------------------------------------------*/ 
int main (sword argc, char *argv[]) 
{ 
    xmlctx      *xctx = NULL; 
    xmlxvmcomp  *comp = NULL; 
    xmlerr       err; 
    ub2         *code; 
    ub4          len; 
    oratext     *xslFile; 

    if (argc < 2) { 
        printf("Usage is: xslcompile <input xsl>\n"); 
        return -1; 
    } 
    xslFile = (oratext*)argv[1]; 
    xctx = XmlCreate(&err, (oratext *) "sample", 
            "data_encoding", "US-ASCII", NULL); 
    if (!xctx) { 
        printf("Failed to create xctx: %d\n",err); 
        goto terminate; 
    } 
    comp = XmlXvmCreateComp (xctx); 
    if (!comp) { 
          printf("Failed to create Compiler."); 
          goto terminate; 
    } 
  
    code = XmlXvmCompileFile (comp, xslFile, NULL, 0, &err); 
    if (err != XMLERR_OK) { 
        printf("Failed to Compile:%u\n", err); 
        goto terminate; 
    } 
    len = XmlXvmGetBytecodeLength(code, &err); 

    /* Deposit in xsb */ 
    depositxsb(argv[1], code, len, argv[2]); 
  
  terminate: 
    /* clean the memory */ 
    if (comp) 
        XmlXvmDestroyComp(comp); 
    if (xctx) 
        XmlDestroy(xctx); 
    return 0; 
} 

