#ifndef STDIO
#include <stdio.h>
#endif
#ifndef STDLIB
#include <stdlib.h>
#endif
#ifndef STRING
#include <string.h>
#endif
extern "C" {
#ifndef OCIAP_ORACLE
#include <ociap.h>
#endif
}

extern "C" {
#ifndef XML_ORACLE
#include <xml.h>
#endif
}

#ifndef XMLCTX_CPP_ORACLE
#include <xmlctx.hpp>
#endif

/* constants */
#define MAXBUFLEN 2000
#define SCHEMA "SYS"
#define TYPE "XMLTYPE"

/* classes */
class ociapi {
public:

/* constructors and destructors */
ociapi();
~ociapi();

/* member functions */
sb4 init_env_handle();
sb4 connect_server( text* user, text* password);
void disconnect_server( boolean tab_exists);
void cleanup();
sb4 select_and_query(text* select_stmt, text* xpathexp);
sb4 select_from_doc( OCIXMLType* xml, text *xpathexpr);

/* get member functions for private variables */
OCIEnv* getEnv() const;
private:

/* OCI Handles and Variables */
OCIEnv *envhp;
OCIServer *srvhp;
OCISvcCtx *svchp;
OCIError *errhp;
OCISession *authp;
OCIStmt *stmthp;
};

/* functions */
void checkerr( OCIError* errhp, sword status);

/* generic functions */
template< typename TCtx, typename Tnode>
sb4 doXPath( TCtx* ctxp, DocumentRef< Tnode>& doc_ref,
char* xpath_exp);
/*----------------- End of Functions Declaration -----------------*/