-------------------------------------------------------------------------------
-- FileName: createNSElement.sql
-- Description: 
--   Create an XML element with namespaces
-- Modified (MM/DD/YYYY)
--   jiwang  4/23/2004 - Clean up
--   jiwang  03/15/2004 - Create
-------------------------------------------------------------------------------
create or replace function appendChild(p_doc xmltype) return xmltype as
  v_doc dbms_xmldom.DOMDocument;
  v_docn dbms_xmldom.DOMNode;
  v_lcn dbms_xmldom.DOMNode;
  v_nelem dbms_xmldom.DOMNode;
  v_elem dbms_xmldom.DOMElement;
  v_attr dbms_xmldom.DOMAttr;
  v_nattr dbms_xmldom.DOMNode;
  v_tx dbms_xmldom.domtext;
  v_ntx dbms_xmldom.DOMNode;
begin
  v_doc := dbms_xmldom.newDOMDocument(p_doc);
  v_docn := dbms_xmldom.makeNode(dbms_xmldom.getDocumentElement(v_doc));
  v_lcn := dbms_xmldom.getLastChild(v_docn);

  v_elem :=dbms_xmldom.CreateElement(v_doc,'my:notes','http://www.example.com');
  
 v_attr :=dbms_xmldom.CreateAttribute(v_doc,'xmlns:my');
 v_nattr := dbms_xmldom.makeNode(v_attr);
  dbms_xmldom.setNodeValue(v_nattr, 'http://www.example.com');
  v_attr := dbms_xmldom.setAttributeNode(v_elem, v_attr,'http://www.example.com' );  
  v_nelem := dbms_xmldom.makeNode(v_elem);
  
  v_tx :=dbms_xmldom.createtextnode(v_doc, 'Address is not complete.');
  v_ntx:=dbms_xmldom.makenode(v_tx);

  v_ntx:= dbms_xmldom.appendchild(v_nelem, v_ntx);
  v_ntx:= dbms_xmldom.appendchild(v_nattr, v_ntx);

  v_nelem := dbms_xmldom.insertBefore(v_docn, v_nelem, v_lcn);

  return p_doc;
end;
/
show errors;

set autoprint on
var out clob
begin
  select appendChild(xmltype('<person>
                                <name> John Smith </name>
                                <address> XYZ street, CA 12345</address>
</person>')).getClobVal() into :out from dual;
end;
/

