-------------------------------------------------------------------------------
-- FileName: parseXML_AuthHTTP.sql
-- Description: 
--   Parsing XML by reading from HTTPUriType which requires user authentication
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/8/2004 - Create
-------------------------------------------------------------------------------
SET LONG 100000
SET AUTOPRINT ON
VAR out CLOB
DECLARE 
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_xmltype XMLType;
 v_out CLOB;
 v_req  UTL_HTTP.req; 
 v_resp UTL_HTTP.resp; 
 v_text VARCHAR2(32767); 
 BEGIN 
   v_req := UTL_HTTP.begin_request('localhost:8080/public/contact.xml'); 
   UTL_HTTP.set_authentication(r=>v_req,username=>'demo',password=>'demo'); 
   v_resp := UTL_HTTP.get_response(v_req); 
   UTL_HTTP.read_text(r=>v_resp,data=>v_text); 
   UTL_HTTP.end_response(v_resp);     
   v_xmltype := XMLType(v_text);
   v_xmldoc :=DBMS_XMLDOM.newDOMDocument(v_xmltype);
   DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
   DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
   :out:=v_out;
  DBMS_LOB.freetemporary(v_out);
END;
/


 