-------------------------------------------------------------------------------
-- FileName: parseXML_UTL_FILE_DIR_DTD.sql
-- Description: 
--   Parsing XML with DTD by setting UTL_FILE_DIR (bug #2623322)
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/12/2004 - Create
-------------------------------------------------------------------------------
SET LONG 100000
SET AUTOPRINT ON
VAR out CLOB
DECLARE
 v_xmldoc DBMS_XMLDOM.DOMDocument;
 v_parser DBMS_XMLPARSER.parser;
 v_parser2 DBMS_XMLPARSER.parser;
 v_dt DBMS_XMLDOM.DOMDocumentType;
 v_out CLOB;
 v_dir VARCHAR2(200) :='D:\jiwang\work_xmlbook\Examples\Chapter26\src\xml';
BEGIN
  -- Initalize XML parser
  v_parser := DBMS_XMLPARSER.newParser;  
  -- Set parsing options
  DBMS_XMLPARSER.setBaseDir(v_parser, v_dir);
  DBMS_XMLPARSER.setValidationMode(v_parser, FALSE);
  -- Parse and set DTD file
  DBMS_XMLPARSER.parseDTD(v_parser, 'author.dtd','SIGNATURE');
  v_dt := DBMS_XMLPARSER.getDoctype(v_parser2);
  DBMS_XMLPARSER.setDoctype(v_parser, v_dt);
  --parser XML file
  DBMS_XMLPARSER.parse(v_parser, 'author.xml');
  v_xmldoc := DBMS_XMLPARSER.getDocument(v_parser);
  DBMS_LOB.createtemporary(v_out,FALSE,DBMS_LOB.SESSION);
  DBMS_XMLDOM.writetoClob(v_xmldoc, v_out);
  DBMS_XMLDOM.writetoFile(v_xmldoc,v_dir||'/out.xml');
  :out:=v_out;
  DBMS_LOB.freetemporary(v_out);
END;
/
show errors;


 