-------------------------------------------------------------------------------
-- FileName: selectNodes.sql
-- Description: 
--   Retrieving XML data using XPath
-- Modified (MM/DD/YYYY)
--   jiwang  04/21/2004 - Clean up
--   jiwang  03/8/2004 - Create
-------------------------------------------------------------------------------
set serveroutput on
declare
  v_xmlbuf      varchar2(512);
  v_parser       dbms_xmlparser.Parser;
  v_xmldoc        dbms_xmldom.DOMDocument;
  v_outbuf varchar2(600);
  v_node dbms_xmldom.DOMNode;
  v_fnode dbms_xmldom.DOMNode;
  v_nodeList dbms_xmldom.DOMNodeList;
  v_nl number;
  v_value number;
  v_sum number :=0;
 begin
   v_xmlbuf := '<Txn><Data value="18.75"/><Data value="17.32"/>
                 <Data value="16.45"/><Data value="15.82"/></Txn>';
   -- New XML parser
   v_parser := dbms_xmlparser.newParser;
   dbms_xmlparser.parseBuffer(v_parser, v_xmlbuf);
   v_xmldoc := dbms_xmlparser.getDocument(v_parser);
   v_node := dbms_xmldom.makenode(v_xmldoc);
   v_fnode := dbms_xmldom.getfirstchild(v_node);

   -- Select Nodes
   v_nodeList:=dbms_xslprocessor.selectNodes(v_fnode, '/Txn/Data/@value');
   v_nl := dbms_xmldom.getLength(v_nodeList);
   dbms_output.put_line('The leng of the node list:'||v_nl);
   
   v_sum:=0;
   IF v_nl > 0 THEN
    for j in 0..v_nl-1 loop
      v_node := dbms_xmldom.item(v_nodeList,j);
      v_value:= dbms_xmldom.getNodeValue(v_node);
      v_sum := v_sum+v_value;
    end loop;   
    dbms_output.put_line('Sum='||v_sum);
  ELSE
     dbms_output.put_line('No node selected');
  END IF;
end;
/
show errors;
