-------------------------------------------------------------------------------
-- FileName: createBookSalePackage.sql
-- Description: 
--   PL/SQL package for book sale managment
-- Modified (MM/DD/YYYY)
--   jiwang  02/04/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE PACKAGE booksale_pkg AS
  FUNCTION query(p_partner_id IN number) return XMLType;
  FUNCTION checkout(p_partner_id IN number,p_isbn in varchar2, p_book_num in number) 
  return varchar2;  
END booksale_pkg;
/
CREATE OR REPLACE PACKAGE BODY booksale_pkg AS
  FUNCTION query(p_partner_id IN number) return XMLType
  AS
  out XMLType;
  qryCtx DBMS_XMLGEN.ctxHandle;
  BEGIN
    qryCtx := DBMS_XMLGEN.NEWCONTEXT(
       'select b.partner_id as "@partner_id", a.isbn, a.author, a.title, 
               a.price, a.price*discount_rate as sale_price 
         from book a, partner b 
         where b.partner_id=:PARTNER_ID');
    DBMS_XMLGEN.setBindValue(qryCtx, 'PARTNER_ID', p_partner_id);
    out := DBMS_XMLGEN.GETXMLTYPE(qryCtx);
    
    DBMS_XMLGEN.closeContext(qryCtx);

    return out;
  END query;

  FUNCTION checkout(p_partner_id in number,p_isbn in varchar2, p_book_num in number)
  return VARCHAR2
  AS
   out XMLType;
  -- current_time date;
   current_num number;
  BEGIN
   -- select sysdate into current_time from dual;
    insert into book_sale values(p_isbn,sysdate,p_partner_id, p_book_num);
    update book set instock_num=instock_num-p_book_num where isbn=p_isbn;
    commit;
    return 'OK';
  EXCEPTION
   WHEN OTHERS THEN 
      return 'FAILED';
   RAISE;
  END checkout;

END booksale_pkg;
/
show errors;
-- End of createBookSalePackage.sql
