create or replace function query_request(p_partner_id IN number) return XMLType
as
  soap_request varchar2(32767);
  soap_respond varchar2(32767);
  http_req  utl_http.req;
  http_resp utl_http.resp;
  resp      XMLType;
  i number;
  len number;
begin
  soap_request := '<?xml version = "1.0" encoding = "UTF-8"?>
<SOAP-ENV:Envelope 
    xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:xsd="http://www.w3.org/2001/XMLSchema">
   <SOAP-ENV:Body>
      <ns1:query xmlns:ns1="BookSaleService" 
         SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/">
         <pPartnerId xsi:type="xsd:decimal">'|| p_partner_id||'</pPartnerId>
      </ns1:query>
   </SOAP-ENV:Body>
</SOAP-ENV:Envelope>';

    -- Invoke the SOAP message using UTL_HTTP package
    http_req := utl_http.begin_request(
        'http://127.0.0.1:8988/Chapter27/BookSaleService', 'POST','HTTP/1.0');
    utl_http.set_header(http_req, 'Content-Type', 'text/xml');
    utl_http.set_header(http_req, 'Content-Length', length(soap_request));
    utl_http.set_header(http_req, 'SOAPAction', 'query');
    utl_http.write_text(http_req, soap_request);
    http_resp := utl_http.get_response(http_req);
    utl_http.read_text(http_resp, soap_respond);
    utl_http.end_response(http_resp);
    resp := xmltype.createxml(soap_respond);
    resp := resp.extract('/soap:Envelope/soap:Body/child::node()',
      'xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"');
    -- Print out the result
    i := 1; 
    len := length(soap_respond);
    WHILE (i <= len) LOOP
      dbms_output.put_line(substr(soap_respond, i, 60));
      i := i + 60;
    END LOOP;
    RETURN resp;
END;
/ 
show errors;