/**
 * File Name: DBEntitySolver.java
 * Description:
 *   Resolve Entities if the XML Schema are stored in the database
 * Modified (MM/DD/YYYY)
 *   jiwang  09/22/2003 - Create
 */
package oracle.xml.sample.schema;

import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import java.sql.Driver;

public class DBEntityResolver implements EntityResolver {
  Connection conn;

   DBEntityResolver() {
    try {
      Driver d = new oracle.jdbc.driver.OracleDriver();
      conn = DriverManager.getConnection("jdbc:oracle:kprb:");
    } catch(Exception ex) {
      ex.printStackTrace();
    }
  }
  
  public InputSource resolveEntity (String targetNS,  String systemId)
  throws SAXException, IOException
  {
    InputSource mySource = null;
    String location = systemId;
    InputStream xsd= null;

    try {
      PreparedStatement st = 
      conn.prepareStatement("select doc from xsd_tbl where name=?");
      st.setString(1,location);
      ResultSet rset= st.executeQuery();
      while(rset.next()) {
        xsd    = rset.getBinaryStream(1);       
      }
      rset.close();
      st.close();
    } catch(Exception ex) {
      ex.printStackTrace();
    }

    // Create input source with InputStream as input
    mySource = new InputSource(xsd);
    return mySource;
  }
}