package oracle.xml.sample.schema;

import oracle.xml.parser.schema.*;
import oracle.xml.parser.v2.*;

import java.net.*;
import java.io.*;
import org.w3c.dom.*;
import java.util.*;
import oracle.sql.CHAR;
import java.sql.SQLException;

public class SchemaUtil
{
   public static String validation(CHAR xml, CHAR xsd) 
   throws Exception 
   {
      //Build Schema Object
      XSDBuilder builder = new XSDBuilder();
     
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);

      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);      

      //Parse the input XML document with Schema Validation
      docbytes = xml.getBytes();
      in = new ByteArrayInputStream(docbytes);

      DOMParser dp  = new DOMParser();

      // Set Schema Object for Validation
      dp.setXMLSchema(schemadoc);
      dp.setValidationMode(XMLParser.SCHEMA_VALIDATION);
      dp.setPreserveWhitespace (true);
      
       StringWriter sw = new StringWriter();
       dp.setErrorStream (new PrintWriter(sw));
      
      try 
      {
         dp.parse (in);
         sw.write("The input XML parsed without errors.\n");
      }
      catch (XMLParseException pe) 
      {
         sw.write("Parser Exception: " + pe.getMessage());
      }
      catch (Exception e) 
      { 
         sw.write("NonParserException: " + e.getMessage()); 
      }

      return sw.toString();
      
   }

}
