/**
 * File Name: XSDDBBuilder.java
 * Description:
 *   Builder XML Schema object
 * Modified (MM/DD/YYYY)
 *   jiwang  12/22/2003 - Create
 */
package oracle.xml.sample.schema;

import java.io.ByteArrayInputStream;
import java.io.StringWriter;
import java.lang.Exception;
import oracle.sql.CHAR;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.schema.XSDException;
import oracle.xml.parser.v2.DOMParser;

public class XSDDBBuilder {
  public XSDDBBuilder() {
  }
  public static String build(CHAR xsd) {
    StringWriter sw = new StringWriter();
    try {
      //Build XMLSchema Object
      XSDBuilder builder = new XSDBuilder();    
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);
      XMLSchema schemadoc = builder.build(in,null); 
      sw.write("The input XSD parsed without errors.\n");
      System.out.println("good");
    } catch(XSDException ex) {
      sw.write("XSD Error:"+ex.getMessage());
    }catch(Exception ex) {
      sw.write("Error:"+ex.getMessage());
    }
    return sw.toString();    
  }
}