/**
 * File Name: XSDDBBuilderResolver.java
 * Description:
 *   Build XML Schema Object with Entity Resolver 
 * Modified (MM/DD/YYYY)
 *   jiwang  12/25/2003 - Create
 */
package oracle.xml.sample.schema;

import java.io.ByteArrayInputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.schema.XSDException;
import oracle.xml.parser.v2.DOMParser;
import oracle.xml.parser.v2.XMLParseException;
import oracle.xml.parser.v2.XMLParser;
import org.xml.sax.EntityResolver;
import oracle.sql.CHAR;

public class XSDDBBuilderResolver {
  public static String build(CHAR xsd) {
    StringWriter sw = new StringWriter();
    try {
      XSDBuilder builder = new XSDBuilder();    
      DBEntityResolver resolver = new DBEntityResolver();
      builder.setEntityResolver(resolver);
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);
      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);     
      sw.write("The input XML Schema parsed without errors.\n");
    } catch(XSDException pe) {
      sw.write("XSD Parsing Exception: " + pe.getMessage());
    } catch(Exception e) {
      sw.write("NonParserException: " + e.getMessage()); 
    }
    return sw.toString();
  }
}
