/**
 * File Name: XSDValidationSAX.java
 * Description:
 *   Using XML Schema to Validate the XML document
 * Modified (MM/DD/YYYY)
 *   jiwang  09/22/2003 - Create
 */
package oracle.xml.sample.schema;

import java.io.ByteArrayInputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.File;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.StringTokenizer;
import oracle.sql.CHAR;
import oracle.sql.CLOB;
import oracle.xml.parser.v2.SAXParser;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.v2.XMLParseException;
import oracle.xml.parser.v2.XMLParser;
import org.xml.sax.ErrorHandler;
import org.xml.sax.EntityResolver;

public class XSDValidationSAX {
   public static String validation(CLOB xml, CHAR xsd) 
   throws Exception 
   {
      // Build the XML Schema Object
      XSDBuilder builder = new XSDBuilder();
      EntityResolver resolver = new DBEntityResolver();
      builder.setEntityResolver(resolver);    
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);
      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);      

      //Parse the input XML document with Schema Validation
      SAXParser parser = new SAXParser();
      parser.setXMLSchema(schemadoc);
      parser.setValidationMode(XMLParser.SCHEMA_VALIDATION);      
      StringWriter sw = new StringWriter();      
      try {
         parser.parse(xml.getCharacterStream());
         sw.write("The input XML parsed without errors.\n");
      } catch (XMLParseException pe) 
      {
         sw.write("Parser Exception: " + pe.getMessage());
      } catch (Exception e) 
      { 
         sw.write("NonParserException: " + e.getMessage()); 
      }

      return sw.toString();     
   }
 }