-------------------------------------------------------------------------------
-- FileName: checkXMLNormalize.sql
-- Description: 
--   Run the Java stored procedure to normalize XML documents
-- Modified (MM/DD/YYYY)
--   jiwang  01/09/2004 - Create
-------------------------------------------------------------------------------
set serveroutput on 
CREATE OR REPLACE FUNCTION normalize(p1 IN XMLType, p2 IN OUT NOCOPY CLOB) 
RETURN VARCHAR2 
AUTHID CURRENT_USER 
AS LANGUAGE JAVA NAME 
'oracle.xml.sample.parser.XMLNormalize.normalized(oracle.xdb.XMLType, oracle.sql.CLOB[]) return java.lang.String';
/
-- Example without errors
CREATE OR REPLACE PROCEDURE printClobOut(result IN OUT NOCOPY CLOB) is
  str varchar2(32767);
  tmpstr varchar2(32767);
  len integer;
  idx integer := 1;
  nlidx integer;
  new_line varchar2(2) := '
';
  begin
      str := dbms_lob.SUBSTR(result,31*1024);

    len := length(str);
    loop
      exit when idx >len;
      nlidx := instr(str,new_line,idx);
      if (nlidx = 0) then
         nlidx := len+1;
      end if;
      tmpstr := substr(str,idx,nlidx-idx);
     
      if(length(tmpstr) > 250) then 
        --print line or 250 bytes per line
        tmpstr := '| '||tmpstr;
        loop
          exit when tmpstr is null;
          dbms_output.put_line(substr(tmpstr,1,250));
          tmpstr := substr(tmpstr,251);
        end loop;
      else
        dbms_output.put_line('| '||tmpstr);
      end if; 
      
      idx := nlidx+1;
    end loop;
end;
/

declare
  out clob;
  result varchar2(2000);
  xml xmltype;
BEGIN
  dbms_lob.CREATETEMPORARY(out,true);
  SELECT doc INTO xml FROM xmltype_tbl WHERE name='normal.xml';
  result := normalize(xml, out);
  DBMS_OUTPUT.PUT_LINE(result);
  printClobOut(out);
END;
/