-------------------------------------------------------------------------------
-- FileName: checkXSDBuilder.sql
-- Description: 
--   Check the validity of the loaded class
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
-- Check the loaded Java classes
select dbms_java.longname (object_name), status from user_objects
   where object_type = 'JAVA CLASS';
   
-- Check the validity of the Java classes
SELECT SUBSTR(dbms_java.longname(object_name),1,37) AS class, status
FROM   all_objects
WHERE  object_type = 'JAVA CLASS'
AND object_name = dbms_java.shortname('XSDDBBuilder');

-- Example showing the source code of the Java class
declare 
 out clob;
BEGIN
  DBMS_LOB.CREATETEMPORARY(out, true);
  dbms_java.export_source(dbms_java.shortname('XSDDBBuilder'),out);
  insert into result values(out);  
END;
/
set long 100000
select * from result;

-- Example without errors
set autoprint on
set serveroutput on
var out varchar2(2000)
DECLARE
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='Product.xsd';
  :out := xsd_build(xsd);
END;
/
show errors;

-- Example with errors 
set autoprint on
var out varchar2(2000)
DECLARE
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='Product_error.xsd';
  :out := xsd_build(xsd);
END;
/
show errors;

-- End of checkXSDBuilder.sql
