-------------------------------------------------------------------------------
-- FileName: checkXSDBuilder.sql
-- Description: 
--   Check the validity of the loaded class
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
-- Check the validity of the class
SELECT SUBSTR(dbms_java.longname(object_name),1,47) AS class, status
FROM   all_objects
WHERE  object_type = 'JAVA CLASS'
AND object_name = dbms_java.shortname('oracle/xml/sample/schema/XSDDBBuilderResolver');

-- Example with errors because of lacking entity resolver
set autoprint on
var out varchar2(2000)
DECLARE
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='company.xsd';
  :out := xsd_build(xsd);
END;
/
show errors;

-- Example with errors 
set autoprint on
var out varchar2(2000)
DECLARE
  xsd VARCHAR2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='company.xsd';
  :out := xsd_build_ref(xsd);
END;
/
show errors;

-- End of checkXSDBuilder.sql
