-------------------------------------------------------------------------------
-- FileName: checkXSDBuilder.sql
-- Description: 
--   Check the validity of the loaded class
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
set serveroutput on
-- Example without errors
DECLARE
  out VARCHAR2(2000);
  xsd VARCHAR2(4000);
  xml clob;
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='company.xsd';
  SELECT doc INTO xml FROM xml_tbl WHERE name='company.xml';
  out := validation(xml, xsd);
  DBMS_OUTPUT.PUT_LINE(out);
END;
/
-- Example with errors
DECLARE
  out VARCHAR2(2000);
  xsd VARCHAR2(4000);
  xml varchar2(4000);
BEGIN
  SELECT doc INTO xsd FROM xsd_tbl WHERE name='company.xsd';
  SELECT doc INTO xml FROM xml_tbl WHERE name='company_err.xml';
  out := validation(xml, xsd);
  DBMS_OUTPUT.PUT_LINE(out);
END;
/
show errors;

-- End of checkXSDBuilder.sql
