-------------------------------------------------------------------------------
-- FileName: createXSDBuilder_java.sql
-- Description: 
--   Create Java Stored Procedure to build XSD object
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE AND COMPILE
JAVA SOURCE NAMED "DBEntityResolver"
AS 
package oracle.xml.sample.schema;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import java.sql.Driver;

public class DBEntityResolver implements EntityResolver {
  Connection conn;

   DBEntityResolver() {
    try {
      // Get JDBC Connectioin
      Driver d = new oracle.jdbc.driver.OracleDriver();
      conn = DriverManager.getConnection("jdbc:oracle:kprb:");

    } catch(Exception ex) {
      ex.printStackTrace();
    }
  }
  
  public InputSource resolveEntity (String targetNS,  String systemId)
  throws SAXException, IOException
  {
    InputSource mySource = null;
    String location = systemId;
    InputStream xsd= null;

    try {
      PreparedStatement st = 
      conn.prepareStatement("select doc from xsd_tbl where name=?");
      st.setString(1,location);
      ResultSet rset= st.executeQuery();
      while(rset.next()) {
        xsd    = rset.getBinaryStream(1);       
      }
      rset.close();
      st.close();
    } catch(Exception ex) {
      ex.printStackTrace();
    }

    // Create input source with InputStream as input
    mySource = new InputSource(xsd);
    return mySource;
  }
}
/
show errors;

CREATE OR REPLACE AND COMPILE
JAVA SOURCE NAMED "XSDDBBuilderResolver"
AS 
package oracle.xml.sample.schema;
import java.io.ByteArrayInputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.schema.XSDException;
import oracle.xml.parser.v2.DOMParser;
import oracle.xml.parser.v2.XMLParseException;
import oracle.xml.parser.v2.XMLParser;
import org.xml.sax.EntityResolver;
import oracle.sql.CHAR;

public class XSDDBBuilderResolver {
  public static String build(CHAR xsd) {
    StringWriter sw = new StringWriter();
    try {
      XSDBuilder builder = new XSDBuilder();    
      EntityResolver resolver = new DBEntityResolver();
      builder.setEntityResolver(resolver);
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);
      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);
      
      sw.write("The input XML Schema parsed without errors.\n");
    } catch(XSDException pe) {
      sw.write("XSD Parsing Exception: " + pe.getMessage());
    } catch(Exception e) {
      sw.write("NonParserException: " + e.getMessage()); 
    }
    return sw.toString();
  }
}

/ 
show errors;

-- End of createXSDBuilder_java.sql