-------------------------------------------------------------------------------
-- FileName: createXSDBuilder_java.sql
-- Description: 
--   Create Java Stored Procedure to build XSD object
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE AND COMPILE
JAVA SOURCE NAMED "XSDDBBuilder"
AS 
import java.io.ByteArrayInputStream;
import java.io.StringWriter;
import java.lang.Exception;
import oracle.sql.CHAR;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.schema.XSDException;

public class XSDDBBuilder {
  public static String build(CHAR xsd) {
    StringWriter sw = new StringWriter();
    try {
      //Build XMLSchema Object
      XSDBuilder builder = new XSDBuilder();    
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);
      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);            
      sw.write("The input XSD parsed without errors.\n");
    } catch(XSDException ex) {
      sw.write("XSD Error:"+ex.getMessage());
    }catch(Exception ex) {
      sw.write("Error:"+ex.getMessage());
    }
    return sw.toString();    
  }
}
/ 
show errors;

-- End of createXSDBuilder_java.sql