-------------------------------------------------------------------------------
-- FileName: createXSDBuilder_java.sql
-- Description: 
--   Create Java Stored Procedure to build XSD object
-- Modified (MM/DD/YYYY)
--   jiwang  12/22/2003 - Create
-------------------------------------------------------------------------------
CREATE OR REPLACE AND COMPILE
JAVA SOURCE NAMED "XSDValidation"
AS 
package oracle.xml.sample.schema;

import java.io.ByteArrayInputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.File;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.StringTokenizer;
import oracle.sql.CHAR;
import oracle.xml.parser.v2.SAXParser;
import oracle.xml.parser.schema.XMLSchema;
import oracle.xml.parser.schema.XSDBuilder;
import oracle.xml.parser.v2.XMLParseException;
import oracle.xml.parser.v2.XMLParser;
import org.xml.sax.ErrorHandler;
import org.xml.sax.EntityResolver;

public class XSDValidation {
   public static String validation(CHAR xml, CHAR xsd) 
   throws Exception 
   {
      //Build Schema Object
      XSDBuilder builder = new XSDBuilder();
      EntityResolver resolver = new DBEntityResolver();
      builder.setEntityResolver(resolver);
     
      byte [] docbytes = xsd.getBytes();
      ByteArrayInputStream in = new ByteArrayInputStream(docbytes);

      XMLSchema schemadoc = (XMLSchema)builder.build(in,null);      

      //Parse the input XML document with Schema Validation
      docbytes = xml.getBytes();
      in = new ByteArrayInputStream(docbytes);

      SAXParser parser = new SAXParser();
      parser.setXMLSchema(schemadoc);
      parser.setValidationMode(XMLParser.SCHEMA_VALIDATION);
      
       StringWriter sw = new StringWriter();
      // dp.setErrorStream (new PrintWriter(sw));
      
      try 
      {
          parser.parse(in);
         sw.write("The input XML parsed without errors.\n");
      }
      catch (XMLParseException pe) 
      {
         sw.write("Parser Exception: " + pe.getMessage());
      }
      catch (Exception e) 
      { 
         sw.write("NonParserException: " + e.getMessage()); 
      }

      return sw.toString();
      
   }
 }
/ 
show errors;

-- End of createXSDValidation_java.sql