-------------------------------------------------------------------------------
-- FileName: loadXSDData.sql
-- Description: 
--   Load Sample XSD files
-- Modified (MM/DD/YYYY)
--   jiwang  09/22/2003 - Create
-------------------------------------------------------------------------------
INSERT INTO xsd_tbl VALUES('Product.xsd','<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            elementFormDefault="qualified">
  <xsd:complexType name="ProductType">
    <xsd:sequence>
      <xsd:element name="Type" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>
</xsd:schema>');

INSERT INTO xsd_tbl VALUES('Product_error.xsd','<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            elementFormDefault="qualified">
  <xsd:complexType name="ProductType">
    <xsd:sequence>
      <xsd:element name="Type" type="xsd:String"/>
    </xsd:sequence>
  </xsd:complexType>
</xsd:schema>');

INSERT INTO xsd_tbl VALUES('company.xsd','<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
targetNamespace="http://www.company.org"
xmlns="http://www.company.org"
elementFormDefault="qualified">
<xsd:include schemaLocation="Person.xsd"/>
<xsd:include schemaLocation="Product.xsd"/>
<xsd:element name="Company">
<xsd:complexType>
<xsd:sequence>
<xsd:element name="Person" type="PersonType" maxOccurs="unbounded"/>
<xsd:element name="Product" type="ProductType" maxOccurs="unbounded"/>
</xsd:sequence>
</xsd:complexType>
</xsd:element>
</xsd:schema>
');


INSERT INTO xsd_tbl VALUES('Person.xsd','<?xml version="1.0"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            elementFormDefault="qualified">
  <xsd:complexType name="PersonType">
    <xsd:sequence>
      <xsd:element name="Name" type="xsd:string"/>
      <xsd:element name="SSN" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>
</xsd:schema>');


INSERT INTO xml_tbl VALUES('company.xml','<?xml version="1.0"?>
<Company xmlns="http://www.company.org">
 <Person>
   <Name>John</Name>
   <SSN>123-345-7890</SSN>
 </Person>
 <Product>
  <Type>Software</Type>
 </Product>
</Company>');

INSERT INTO xml_tbl VALUES('company_err.xml','<?xml version="1.0"?>
<Company xmlns="http://www.company.org">
 <Person>
   <SSN>123-345-7890</SSN>
 </Person>
 <Product>
  <Type>Software</Type>
 </Product>
</Company>');

INSERT INTO xmltype_tbl VALUES('normal.xml',XMLType('<?xml version="1.0"?>
<rootElement> This is the test
        <childElement test="true">
Value
        </childElement>
</rootElement>'));


