/* Create or re-use an XML meta context object. */
xctx = XmlCreate(&err,...);
/* Create or re-use an XSLT Compiler object. */
comp = XmlXvmCreateComp(xctx);
/* Compile an XSL stylesheet and store/cash the result bytecode. */
code = XmlXvmCompileFile(comp, xslFile, baseuri, flags, &err);
/* Create or reuse an XSLTVM object. The explicit stack size setting is needed
when XSLTVM terminates with "... Stack Overflow" message or when smaller
memory footprints are required (see XmlXvmCreate). */
vm = XmlXvmCreate(xctx, "StringStack", 32, "NodeStack", 24);
/* Set a stylesheet bytecode to the XSLTVM object. */
len = XmlXvmGetBytecodeLength(code, &err);
err = XmlXvmSetBytecodeBuffer(vm, code, len);
/* Transform an instance XML document. */
err = XmlXvmTransformFile(vm, xmlFile, baseuri);
/* Clean up. */
XmlXvmDestroy(vm);
XmlXvmDestroyComp(comp);
XmlDestroy(xctx);