import java.util.*;
import java.io.*;
import java.net.*;
import org.w3c.dom.*;
import oracle.xml.parser.v2.*;
/**
* This is a simple example of how to use the XSL processing
* capabilities of the Oracle XML Parser V2.0. An input XML document
* is transformed using a given input stylesheet
*/
public class XSLExample {
public static void main (String args[]) throws Exception {
DOMParser parser;
XMLDocument xmldoc, xsldoc, out;
FileInputStream xmlstream, xslstream;
try {
// Create an instance of the DOMParser
parser = new DOMParser();
parser.setPreserveWhitespace(true);
// parse input XML file
xmlstream = new FileInputStream(args[0]);
parser.parse(xmlstream);
xmldoc = parser.getDocument();
// parse input XSL file
xslstream = new FileInputStream(args[1]);
parser.parse(xslstream);
xsldoc = parser.getDocument();
// instantiate a stylesheet
XSLStylesheet xsl = processor.newXSLStylesheet(xsldoc);
// Apply stylesheet
XSLProcessor processor = new XSLProcessor();
XMLDocumentFragment result =
processor.processXSL(xsl, xmldoc);
// print the transformed document
result.print(System.out);
} catch (Exception e) {
e.printStackTrace();
}
}
}