-------------------------------------------------------------------------------
-- FileName: checkXMLTypeStorage.sql
-- Description: 
--   Explore the details of objects and tables created during XML schema 
--   registrations
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Cleanup
--   jiwang  06/10/2003 - Create
-------------------------------------------------------------------------------
set echo on
COLUMN object_name FORMAT a25
COLUMN object_type FORMAT a20
SELECT object_name, object_type
FROM user_objects 
WHERE object_name like '%CUSTOMER%';

-------------------------------------------------------------------------------
-- Check the object and table definitions
-------------------------------------------------------------------------------
DESC customer
DESC customer_type
DESC address_type

-------------------------------------------------------------------------------
-- Check the table 
-------------------------------------------------------------------------------
COLUMN column_name format a20
COLUMN data_type format a25
SELECT column_name,data_type,
   CASE WHEN hidden_column='YES' THEN 'hidden'
        WHEN virtual_column='YES' THEN 'virtual'
        ELSE null END AS attr
FROM user_tab_cols
WHERE table_name='CUSTOMER'
ORDER BY virtual_column DESC, data_type, column_name;

-- End

