-------------------------------------------------------------------------------
-- FileName: createUsers.sql
-- Description: 
--   Create a DB user to run the examples in this chapter
-- Notes:
--   - Drop user demo using the "Drop user demo cascade;" command if needed
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  11/27/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Create User Demo
-------------------------------------------------------------------------------
CREATE USER demo IDENTIFIED BY demo
 DEFAULT TABLESPACE USERS
 QUOTA 50M ON USERS
 TEMPORARY TABLESPACE TEMP;
 
-- Grant Privileges
GRANT CREATE SESSION TO demo;
GRANT CREATE TABLE TO demo;
GRANT CREATE PROCEDURE to demo;
GRANT CREATE TYPE TO demo;
GRANT CTXAPP TO demo;
GRANT CREATE VIEW TO demo;
-- Privileges to check the current session_id
GRANT ALTER SESSION TO DEMO;
GRANT SELECT ON v_$session TO demo;
GRANT SELECT ON v_$process TO demo;
GRANT SELECT ON col$ TO demo;
-- XDB Repository
GRANT RESOURCE TO demo;

-------------------------------------------------------------------------------
-- Create TempUser Demo
-------------------------------------------------------------------------------
CREATE USER tempuser IDENTIFIED BY tempuser
 DEFAULT TABLESPACE USERS
 QUOTA 50M ON USERS
 TEMPORARY TABLESPACE TEMP;
GRANT CONNECT, RESOURCE TO tempuser;

-- End




