-------------------------------------------------------------------------------
-- FileName: createExternalTable.sql
-- Description: 
--   Create External Table for the XML Files
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
--  Create External Table using ORACLE_LOADER
-------------------------------------------------------------------------------
DROP TABLE customer_xt;

CREATE TABLE customer_xt  (doc CLOB) 
  ORGANIZATION EXTERNAL 
  (
    TYPE ORACLE_LOADER 
    DEFAULT DIRECTORY data_file_dir 
    ACCESS PARAMETERS
    (
      FIELDS (lobfn CHAR TERMINATED BY ',') 
      COLUMN TRANSFORMS (doc FROM lobfile (lobfn)) 
    ) 
    LOCATION ('xml.dat') 
  )
REJECT LIMIT UNLIMITED;

-- Check the result
SELECT count(1) FROM customer_xt;

SELECT DBMS_LOB.GETLENGTH(doc) 
FROM customer_xt;

-- End



