-------------------------------------------------------------------------------
-- FileName: createXMLTypeTable.sql
-- Description: 
--   Demonstrate how to create an XMLType table or an table with an XMLType 
--   column using the XMLSCHEMA keyword using the annotated XSD
-- Note:
--   After run this script, the previously created table are dropped and 
--   replaces with the new definitions
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  11/24/2003 - Create
-------------------------------------------------------------------------------
DROP TABLE customer_xmltype_tbl;
DROP TABLE customer_col_tbl;

CREATE TABLE customer_xmltype_tbl OF XMLType
 XMLSCHEMA "http://localhost:8080/public/contact_simple_ann.xsd" 
 ELEMENT "Customer"
 VARRAY XMLDATA."ADDRESS" STORE AS TABLE address_nested;

-- This will give you error
CREATE TABLE customer_xmltype_tbl_error OF XMLType
 XMLSCHEMA "http://localhost:8080/public/contact_simple_ann.xsd" 
 ELEMENT "Customer";

CREATE TABLE customer_col_tbl ( 
  id NUMBER,
  RECORD XMLType)
 XMLType COLUMN RECORD STORE AS OBJECT RELATIONAL
 XMLSCHEMA "http://localhost:8080/public/contact_simple_ann.xsd" 
 ELEMENT "Customer"
 VARRAY RECORD.XMLDATA."ADDRESS" STORE AS TABLE address_col_nested;

-- End
