-------------------------------------------------------------------------------
-- FileName: loadData.sql
-- Description: 
--   Load data to customer table
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  06/11/2003 - Create
-------------------------------------------------------------------------------
-- XML Document contains the SchemaLocation attributes
INSERT INTO customer 
  VALUES(XMLType('<Customer xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xsi:noNamespaceSchemaLocation="http://localhost:8080/public/contact_simple_ann.xsd">
  <NAME>Steve Joes</NAME>
  <EMAIL>Steve.Joes@example.com</EMAIL>
  <ADDRESS>Someroad, Somecity, Redwood Shores, CA 94065, U.S.A</ADDRESS>
  <PHONE>6505723456</PHONE>
  <DESCRIPTION>Very Important US Customer</DESCRIPTION>
</Customer>'));

-- Using the XMLType.createSchemaBasedXML()
INSERT INTO customer VALUES(XMLType('<Customer>
  <NAME>Maira Joes</NAME>
  <EMAIL>Maira.Joes@example.com</EMAIL>
  <ADDRESS>Someroad, Somecity, Redwood Shores, CA 94065, U.S.A</ADDRESS>
  <PHONE>6505723456</PHONE>
  <DESCRIPTION>Very Important US Customer</DESCRIPTION>
</Customer>').createSchemaBasedXML(
                  'http://localhost:8080/public/contact_simple_ann.xsd'));

-- Error: ORA-19007: Schema and element do not match
-- Without SchemaLocation attribute or XMLType.createSchemaBasedXML()
INSERT INTO customer 
  VALUES(XMLType('<Customer>
  <NAME>Steve Joes</NAME>
  <EMAIL>Steve.Joes@example.com</EMAIL>
  <ADDRESS>Someroad, Somecity, Redwood Shores, CA 94065, U.S.A</ADDRESS>
  <PHONE>(650)572-3456</PHONE>
  <DESCRIPTION>Very Important US Customer</DESCRIPTION>
</Customer>'));

COMMIT;

-- End

