set echo off
-------------------------------------------------------------------------------
-- FileName: testObjectView.sql
-- Description: 
--   Create Table to Store Contacts
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Clean up
--   jiwang  04/15/2003 - Create
-------------------------------------------------------------------------------
set echo on
DROP TABLE contact_tbl;
DROP TYPE address_typ FORCE;
DROP TYPE contactinfo_type force;
-------------------------------------------------------------------------------
-- Create table
-------------------------------------------------------------------------------
CREATE TYPE address_typ AS OBJECT(
  street1 VARCHAR2(200), 
  street2 VARCHAR2(200), 
  city VARCHAR2(100), 
  state VARCHAR2(20), 
  zipcode VARCHAR2(20), 
  country VARCHAR2(20)); 
/
CREATE TABLE contact_tbl(
  contactid VARCHAR2(15) PRIMARY KEY, 
  firstname VARCHAR2(100), 
  lastname VARCHAR2(200), 
  midname VARCHAR2(50), 
  business_phone VARCHAR2(20), 
  home_phone VARCHAR2(10), 
  cell_phone VARCHAR2(20), 
  business_addr address_typ, 
  business_email VARCHAR2(150));

-------------------------------------------------------------------------------
-- Create Object View
-------------------------------------------------------------------------------
CREATE TYPE contactinfo_type AS OBJECT(
   phone VARCHAR2(20), 
   email VARCHAR2(150), 
   address address_typ); 
/

-- Create Object View
CREATE OR REPLACE VIEW contact_view AS 
   SELECT contactid AS user_id, firstname AS first_name, lastname AS
     last_name,midname AS mid_name, 
     contactinfo_type(business_phone,business_email, 
     business_addr) AS business
   FROM contact_tbl; 

-- End



