set echo off
-------------------------------------------------------------------------------
-- FileName: testVersionControl.sql
-- Description: 
--   Test the version control functinality in the XML DB repository
-- Modified (MM/DD/YYYY)
--   jiwang  12/02/2003 - Cleanup
--   jiwang  04/18/2003 - Create
-------------------------------------------------------------------------------
set echo on
-------------------------------------------------------------------------------
-- Create VCR 
-------------------------------------------------------------------------------
DECLARE 
 resid DBMS_XDB_VERSION.RESID_TYPE; 
BEGIN 
 resid := DBMS_XDB_VERSION.MakeVersioned('/public/important_customer/SteveJones.xml'); 
END; 
/
-------------------------------------------------------------------------------
-- Get the content of VCR
-------------------------------------------------------------------------------
SET SERVEROUTPUT ON
SET AUTOPRINT ON
VAR OUT CLOB 
DECLARE 
 resid DBMS_XDB_VERSION.RESID_TYPE; 
 res XMLType; 
BEGIN 
 resid := DBMS_XDB_VERSION.MakeVersioned('/public/important_customer/SteveJones.xml'); 
 -- Obtain the resource
 res := DBMS_XDB_VERSION.GetResourceByResId(resid); 
 SELECT res.getClobVal() INTO :OUT FROM dual;
END;
/

--EXEC DBMS_XDB.DeleteResource ('/public/important_customer/SteveJones.xml');

-------------------------------------------------------------------------------
-- Check in and check out the VCRs
-------------------------------------------------------------------------------
DECLARE 
 resid DBMS_XDB_VERSION.RESID_TYPE; 
BEGIN
 DBMS_XDB_VERSION.CheckOut('/public/important_customer/SteveJones.xml'); 
 resid := 
   DBMS_XDB_VERSION.CheckIn('/public/important_customer/SteveJones.xml'); 
END;
/
-------------------------------------------------------------------------------
-- Uncheck out VCRs
-- You will get:
-- ORA-31192: Resource /public/important_customer/SteveJones.xml has not been
-- checked out
-------------------------------------------------------------------------------
DECLARE
resid DBMS_XDB_VERSION.RESID_TYPE; 
BEGIN
 resid := 
  DBMS_XDB_VERSION.UncheckOut('/public/important_customer/SteveJones.xml'); 
END; 
/
-- End
